<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;

use DateTime;
use DB;
use Auth;
use Session;
use Mail;

use App\Mail\Reminder;
use App\Mail\NewTask;

use App\Models\Users;
use App\Models\Tasks;
use App\Models\Reminders;

// use App\Http\Controllers;

class cronReminder extends Command {
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'notify:reminder';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Send emails';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle() {
        // Tasks::where('id', 17)
        //     ->update([
        //     'short_description' => "desc",           
        // ]);

        $reminders = Reminders::orderBy('reminders.id', 'asc')
            ->select('reminders.*')
            ->get();

        foreach ( $reminders as $reminder ) {
            if ( $reminder->frequency ) {
                $frequency_array = explode(" ", $reminder->frequency);
                if ( $frequency_array[1] > 1 ) {
                    $months_counter = $frequency_array[1];
                }
                else {
                    $months_counter = 1;
                }
            }

            if ( $reminder->recurring || ( !($reminder->recurring) && !($reminder->one_time_sent) ) ) {

                $diff_between_today_and_created_at_days = (new DateTime(date("Y-m-d")))->diff(new DateTime($reminder->date))->days;

                if ( ( $diff_between_today_and_created_at_days % ( 30 * $months_counter ) ) == 0 ) {
                    if ( $reminder->to_do == 0 ) {
                        if ($reminder->emails_to_send) {
                            $emails_array = explode(",", $reminder->emails_to_send);
                            $emails_array_count = count($emails_array);

                            $details = [
                                'text_to_remind' => $reminder->text_to_remind,
                                'date' => $reminder->date,
                                'frequency' => $reminder->frequency,
                                'emails' => $reminder->emails_to_send
                            ];

                            if ( $reminder->recurring == 0 ) {
                                $details["recurring"] = "One time";
                            }
                            elseif ( $reminder->recurring == 1 ) {
                                $details["recurring"] = "";
                            }

                            $details["link"] = url('/');

                            for ($i=0; $i < $emails_array_count; $i++) {
                                $user = Users::where("users.email", $emails_array[$i])
                                    ->select('users.*')
                                    ->get();

                                if (count($user)>0) {
                                    $details["firstname"] = $user[0]->firstname;
                                }
                                else {
                                    $details["firstname"] = "";
                                }

                                \Mail::to($emails_array[$i])->send(new Reminder($details));
                            }

                            Reminders::find( $reminder->id )->update([
                                'one_time_sent' => 1,
                            ]);
                        }
                    }
                    elseif ( $reminder->to_do == 1 ) {
                        if ( $reminder->task_user && $reminder->task_short_description && $reminder->task_deadline ) {
                            $deadline_array = explode(" ", $reminder->task_deadline);
                            if ( $deadline_array[1] >= 1) {
                                $deadline_formated = date('Y-m-d', strtotime(date("Y-m-d")." +".$deadline_array[1]." days"));
                            }
                            else {
                                $deadline_formated = date('Y-m-d');
                            }

                            $admins_string = "";

                            $task = Tasks::create([
                                'client_id' => $reminder->client_id,
                                'user_id' => $reminder->task_user,
                                'admins' => $admins_string,
                                'short_description' => $reminder->task_short_description,
                                'deadline' => $deadline_formated,
                                'importance' => $reminder->task_importance,
                            ]);

                            // Start
                            $details["short_description"] = $task->short_description;
                            $details["importance"] = $task->importance;
                            $details["deadline"] = $task->deadline;
                            $details["description"] = $task->description;
                            $details["link"] = url('/');

                            if ($task->admins) {
                                $admins_array = explode(",", $task->admins);
                            }
                            else {
                                $admins_array = array();
                            }

                            for ($j=0; $j < count($admins_array); $j++) {
                                $admin = Users::where("users.id", $admins_array[$j])
                                    ->select('users.*')
                                    ->get();

                                $details["firstname"] = $admin[0]->firstname;

                                \Mail::to($admin[0]->email)->send(new NewTask($details));          
                            }

                            $user = Users::where("users.id", $task->user_id)
                                ->select('users.*')
                                ->get();

                            $details["firstname"] = $user[0]->firstname;

                            \Mail::to($user[0]->email)->send(new NewTask($details));
                            // End

                            Reminders::find( $reminder->id )->update([
                                'one_time_sent' => 1,
                            ]);                      
                        }                    
                    }
                    // elseif ( $reminder->to_do == 0 ) {

                    // }
                }
            }
        }           
        // $drip->send(User::find($this->argument('user')));
    }
}