<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;

use DateTime;
use DB;
use Auth;
use Session;
use Mail;

use App\Mail\NewTask;

use App\Models\Users;
use App\Models\Tasks;
use App\Models\Reminders;

// use App\Http\Controllers;

class cronTaskRecurring extends Command {
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'notify:task_recurring';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Task recurring';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle() {
        $tasks = Tasks::orderBy('tasks.id', 'asc')
            ->select('tasks.*')
            ->get();

        foreach ( $tasks as $task ) {
            if ( !($task->one_time_created && !$task->recurring) ) {
                if ( $task->frequency ) {
                    $frequency_array = explode(" ", $task->frequency);

                    $diff_between_today_and_created_at = (new DateTime(date("Y-m-d")))->diff(new DateTime($task->created_at));
                    $diff_between_today_and_created_at_days = $diff_between_today_and_created_at->days;

                    if ( $diff_between_today_and_created_at_days && $task->every_day_month ) {
                        if ( ($frequency_array[1]=="month" && ($diff_between_today_and_created_at_days%(30*$task->every_day_month))==0) || ($frequency_array[1]=="week" && ($diff_between_today_and_created_at_days%(7*$task->every_day_month))==0) ) {
                            if ( $task->deadline_from_creation_day ) {
                                $deadline_formated = date('Y-m-d', strtotime(date("Y-m-d")." +".$task->deadline_from_creation_day." days"));
                            }
                            else {
                                $deadline_formated = date('Y-m-d');
                            }

                            $new_task = Tasks::create([
                                'client_id' => $task->client_id,
                                'user_id' => $task->user_id,
                                'admins' => $task->admins,
                                'short_description' => $task->short_description,
                                'deadline' => $deadline_formated,
                                'importance' => $task->importance,
                                'description' => $task->description,
                                'files' => $task->files,
                                'recurring' => $task->recurring,
                                'frequency' => $task->frequency,
                                'every_day_month' => $task->every_day_month,
                                'every_weekday' => $task->every_weekday,
                                'deadline_from_creation_day' => $task->deadline_from_creation_day,
                            ]);

                            // Start
                            $details["short_description"] = $new_task->short_description;
                            $details["importance"] = $new_task->importance;
                            $details["deadline"] = $new_task->deadline;
                            $details["description"] = $new_task->description;
                            $details["link"] = url('/');

                            if ($new_task->admins) {
                                $admins_array = explode(",", $new_task->admins);
                            }
                            else {
                                $admins_array = array();
                            }

                            for ($j=0; $j < count($admins_array); $j++) {
                                $admin = Users::where("users.id", $admins_array[$j])
                                    ->select('users.*')
                                    ->get();

                                $details["firstname"] = $admin[0]->firstname;

                                \Mail::to($admin[0]->email)->send(new NewTask($details));          
                            }

                            $user = Users::where("users.id", $new_task->user_id)
                                ->select('users.*')
                                ->get();

                            $details["firstname"] = $user[0]->firstname;

                            \Mail::to($user[0]->email)->send(new NewTask($details));
                            // End

                            if ( $task->recurring=="0" ) {
                                Tasks::find( $task->id )->update([
                                    'one_time_created' => 1,
                                ]);                      
                            }                    
                        }
                    }
                    if ( ($frequency_array[1] == "weekday" && (substr($task->every_weekday, 0, 3)==strtolower(date("D")))) ) {
                        if ( $task->deadline_from_creation_day ) {
                            $deadline_formated = date('Y-m-d', strtotime(date("Y-m-d")." +".$task->deadline_from_creation_day." days"));
                        }
                        else {
                            $deadline_formated = date('Y-m-d');
                        }

                        $new_task = Tasks::create([
                            'client_id' => $task->client_id,
                            'user_id' => $task->user_id,
                            'admins' => $task->admins,
                            'short_description' => $task->short_description,
                            'deadline' => $deadline_formated,
                            'importance' => $task->importance,
                            'description' => $task->description,
                            'files' => $task->files,
                            'recurring' => $task->recurring,
                            'frequency' => $task->frequency,
                            'every_day_month' => $task->every_day_month,
                            'every_weekday' => $task->every_weekday,
                            'deadline_from_creation_day' => $task->deadline_from_creation_day,
                        ]);

                        // Start
                        $details["short_description"] = $new_task->short_description;
                        $details["importance"] = $new_task->importance;
                        $details["deadline"] = $new_task->deadline;
                        $details["description"] = $new_task->description;
                        $details["link"] = url('/');

                        if ($new_task->admins) {
                            $admins_array = explode(",", $new_task->admins);
                        }
                        else {
                            $admins_array = array();
                        }

                        for ($j=0; $j < count($admins_array); $j++) {
                            $admin = Users::where("users.id", $admins_array[$j])
                                ->select('users.*')
                                ->get();

                            $details["firstname"] = $admin[0]->firstname;

                            \Mail::to($admin[0]->email)->send(new NewTask($details));          
                        }

                        $user = Users::where("users.id", $new_task->user_id)
                            ->select('users.*')
                            ->get();

                        $details["firstname"] = $user[0]->firstname;

                        \Mail::to($user[0]->email)->send(new NewTask($details));
                        // End

                        if ( $task->recurring=="0" ) {
                            Tasks::find( $task->id )->update([
                                'one_time_created' => 1,
                            ]);                      
                        }                    
                    }
                }
            }
        }
        
        // $drip->send(User::find($this->argument('user')));
    }
}