<?php
namespace App\Http\Controllers;

use DateTime;
use DB;
use Auth;
use Session;
use Mail;

use App\Mail\NewUser;
// use App\Mail\NewComment;
// use App\Mail\CommentDone;
// use App\Mail\CommentUndone;
// use App\Mail\TaskDone;
// use App\Mail\TaskUndone;
// use App\Mail\TaskAcknowledged;
// use App\Mail\TaskUnacknowledged;
// use App\Mail\FileUpload;

use App\Models\Users;
use App\Models\Roles;
use App\Models\Clients;
use App\Models\Consultants;
use App\Models\Projects;
use App\Models\Standards;
use App\Models\Templates;

use Illuminate\Http\Request;

// use Illuminate\Support\Facades\Auth;
// use Illuminate\Support\Facades\Input;
// use App\Helpers\Contracts\CommentInterface;
// use Illuminate\Contracts\Routing\ResponseFactory;

class ConsultantsController extends Controller
{
    // protected $comment_inteface;

    // public function __construct(CommentInterface $comment_inteface){
    //     $this->comment_inteface = $comment_inteface;
    // }


    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request) {
    	$current_user_id = Auth::id();

        $current_user_role_id = Users::select(['role_id'])
            ->where('id', $current_user_id)
            ->pluck('role_id');

        if (empty($_GET["consultant_name"])) {
            // if ( $current_user_role_id[0] == 1 ) {
                $consultants = DB::table('consultants')
                    ->LeftJoin('clients', 'clients.consultant_id', '=', 'consultants.id')
                    ->LeftJoin('projects', 'projects.consultant_id', '=', 'consultants.id')
                    ->select('consultants.*', 'clients.id as client_id', 'clients.organization_name as client_organization_name', 'projects.id as project_id', 'projects.name as project_name')
                    ->get();
            // }
        }
        elseif (!empty($_GET["consultant_name"])) {
            $consultant_name = $_GET["consultant_name"];

            $consultants = DB::table('consultants')
                ->where(function($query) use ($consultant_name){
                    $query->where('consultants.primary_contact_firstname', 'like', '%'.$consultant_name.'%');
                    $query->orWhere('consultants.primary_contact_lastname', 'like', '%'.$consultant_name.'%');
                })
                ->LeftJoin('clients', 'clients.consultant_id', '=', 'consultants.id')
                ->LeftJoin('projects', 'projects.consultant_id', '=', 'consultants.id')
                ->select('consultants.*', 'clients.id as client_id', 'clients.organization_name as client_organization_name', 'projects.id as project_id', 'projects.name as project_name')
                ->get();
        }
        
        return view('consultants.index', compact('consultants'));
    }


    /**
     * Create a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create() {
        $current_user_id = Auth::id();

        $current_user_role_id = Users::select(['role_id'])
            ->where('id', $current_user_id)
            ->pluck('role_id');

        // if ( $current_user_role_id[0] == 1 ) {
        //     $selected_admin = $current_user_id;
        // }
        // else {
        //     $selected_admin = "";
        // }

        $standards = Standards::select(['id','name'])
            ->pluck('name', 'id');

        return view('consultants.create', compact('standards'));
    }


    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request) {
    	request()->validate([
            'firstname' => 'required',
            'lastname' => 'required',
            'email' => 'required|string|email|max:255|unique:users',    
            'phone' => 'required',
            'website' => 'required',
            'street' => 'required',
            'city' => 'required',
            'state' => 'required',
            'zip' => 'required',
            'standard_id' => 'required',
            'seniority' => 'required',
            'permissions' => 'required',            
            // 'files_w9' => 'required',
            // 'files_certificate' => 'required',
            // 'files_contract' => 'required',
            // 'files_other' => 'required',                
        ]);

        // $request = $request->all();

        // $admins_string = "";

        // for ($i=1; $i <= $request['admins_count']; $i++) {
        //     $current_admin = 'admin-'.$i;

        //     if ($request[$current_admin]) {
        //         if ($admins_string) {
        //             $admins_string .= ",".$request[$current_admin];
        //         }
        //         else {
        //             $admins_string .= $request[$current_admin];
        //         }
        //     }
        // }

        $consultant = Consultants::create([
            'primary_contact_firstname' => $request['firstname'],
            'primary_contact_lastname' => $request['lastname'],
            'primary_contact_email' => $request['email'],
            'primary_contact_phone' => $request['phone'],
            'website' => $request['website'],
            'street' => $request['street'],
            'city' => $request['city'],
            'state' => $request['state'],
            'zip' => $request['zip'],
            'standard_id' => $request['standard_id'],
            'seniority' => $request['seniority'],
            'permissions' => $request['permissions'],
            // 'files_w9' => $request['files_w9'],
            // 'files_certificate' => $request['files_certificate'],
            // 'files_contract' => $request['files_contract'],
            // 'files_other' => $request['files_other'],   
        ]);

        // $sendEmail = new TasksController;
        // $sendEmail->sendEmail($task->id, array(), "NewTask");

        $files_w9 = $request->file('files_w9');
    	$file_names_w9 = "";
        $counter_w9 = 0;
        if (!empty($files_w9)) {
            foreach ($files_w9 as $file_w9) {
                $file_name_w9 = $file_w9->getClientOriginalName();
                $destinationPath_w9 = public_path('/uploads/consultants/w9/'.$consultant->id);
                $file_w9->move($destinationPath_w9, $file_name_w9);

                // $details = [
                //     'file_name' => $file_name_w9,
                //     'file_path' => public_path('/uploads/consultants/w9/'.$consultant->id.'/'.$file_name_w9)
                // ];
                // $sendEmail = new TasksController;
                // $sendEmail->sendEmail($consultant->id, $details, "FileUpload");
                
                $counter_w9++;
                if ($counter_w9==1) {
                    $file_names_w9 .= $file_name_w9;
                }
                else {
                    $file_names_w9 .= ','.$file_name_w9;
                }
            }
        }
        
        $files_certificate = $request->file('files_certificate');
    	$file_names_certificate = "";
        $counter_certificate = 0;
        if (!empty($files_certificate)) {
            foreach ($files_certificate as $file_certificate) {
                $file_name_certificate = $file_certificate->getClientOriginalName();
                $destinationPath_certificate = public_path('/uploads/consultants/certificate/'.$consultant->id);
                $file_certificate->move($destinationPath_certificate, $file_name_certificate);

                // $details = [
                //     'file_name' => $file_name_certificate,
                //     'file_path' => public_path('/uploads/consultants/certificate/'.$consultant->id.'/'.$file_name_certificate)
                // ];
                // $sendEmail = new TasksController;
                // $sendEmail->sendEmail($consultant->id, $details, "FileUpload");
                
                $counter_certificate++;
                if ($counter_certificate==1) {
                    $file_names_certificate .= $file_name_certificate;
                }
                else {
                    $file_names_certificate .= ','.$file_name_certificate;
                }
            }
        }
        
        $files_contract = $request->file('files_contract');
    	$file_names_contract = "";
        $counter_contract = 0;
        if (!empty($files_contract)) {
            foreach ($files_contract as $file_contract) {
                $file_name_contract = $file_contract->getClientOriginalName();
                $destinationPath_contract = public_path('/uploads/consultants/contract/'.$consultant->id);
                $file_contract->move($destinationPath_contract, $file_name_contract);

                // $details = [
                //     'file_name' => $file_name_contract,
                //     'file_path' => public_path('/uploads/consultants/contract/'.$consultant->id.'/'.$file_name_contract)
                // ];
                // $sendEmail = new TasksController;
                // $sendEmail->sendEmail($consultant->id, $details, "FileUpload");
                
                $counter_contract++;
                if ($counter_contract==1) {
                    $file_names_contract .= $file_name_contract;
                }
                else {
                    $file_names_contract .= ','.$file_name_contract;
                }
            }
        }

        $files_other = $request->file('files_other');
    	$file_names_other = "";
        $counter_other = 0;
        if (!empty($files_other)) {
            foreach ($files_other as $file_other) {
                $file_name_other = $file_other->getClientOriginalName();
                $destinationPath_other = public_path('/uploads/consultants/other/'.$consultant->id);
                $file_other->move($destinationPath_other, $file_name_other);

                // $details = [
                //     'file_name' => $file_name_other,
                //     'file_path' => public_path('/uploads/consultants/other/'.$consultant->id.'/'.$file_name_other)
                // ];
                // $sendEmail = new TasksController;
                // $sendEmail->sendEmail($consultant->id, $details, "FileUpload");
                
                $counter_other++;
                if ($counter_other==1) {
                    $file_names_other .= $file_name_other;
                }
                else {
                    $file_names_other .= ','.$file_name_other;
                }
            }
        }

    	Consultants::where('id', $consultant->id)
    	    ->update(array(
                'files_w9' => $file_names_w9,
                'files_certificate' => $file_names_certificate,
                'files_contract' => $file_names_contract,
                'files_other' => $file_names_other,
            ));
        
        function generateRandomString($length = 10) {
            $characters = '0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ';
            $charactersLength = strlen($characters);
            $randomString = '';
            for ($i = 0; $i < $length; $i++) {
                $randomString .= $characters[rand(0, $charactersLength - 1)];
            }
            return $randomString;
        }

        $password = generateRandomString();

        Users::create([
            'email' => $request['email'],
            'password' => bcrypt($password),
            'role_id' => "3",
            'linked_user_id' => $consultant->id, 
        ]);

       
        $details["email"] = $request['email'];
        $details["password"] = $password;
        $details["link"] = url('/');

        \Mail::to($request['email'])->send(new NewUser($details));

        return redirect()->route('consultants.index')->with('success', 'Consultant added successfully.');
    }


    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id) {
        $task = DB::table('tasks')
            ->LeftJoin('users', 'users.id', '=', 'tasks.user_id')
            ->LeftJoin('clients', 'clients.id', '=', 'tasks.client_id')
            ->where("tasks.id", $id)
            ->select('tasks.*', 'users.firstname as user_firstname', 'users.lastname as user_lastname', 'clients.name as client_name')
            ->get();

        $client = Clients::where("clients.id", $task[0]->client_id)
            ->select('clients.name')
            ->get();

        $user = Users::where("users.id", $task[0]->user_id)
            ->select('users.firstname', 'users.lastname')
            ->get();

        $comments = DB::table('comments')
            ->where('comments.parent_id', 0)
            ->where('comments.task_id', $task[0]->id)
            ->LeftJoin('users', 'users.id', '=', 'comments.user_id')
            ->orderBy('comments.created_at', 'desc')
            ->select('comments.*', 'users.firstname as user_firstname', 'users.lastname as user_lastname')
            ->get();

        // foreach ($comments as $comment) {
        //     $parent_id = $comment->id;
        //     $child_comments = DB::table('comments')
        //         ->where('comments.parent_id', $parent_id)
        //         ->where('comments.task_id', $task[0]->id)
        //         ->LeftJoin('users', 'users.id', '=', 'comments.user_id')
        //         ->orderBy('comments.created_at', 'asc')
        //         ->select('comments.*', 'users.firstname as user_firstname', 'users.lastname as user_lastname')
        //         ->get();
        //     $comment->child_comments = $child_comments;
        // }

        return view('tasks.show', compact('task', 'comments', 'client', 'user'));
    }


    /**
     * Edit the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id) {
        $consultant = DB::table('consultants')
            ->where("consultants.id", $id)
            ->select('consultants.*')
            ->get();

        $standards = Standards::select(['id','name'])
            ->pluck('name', 'id');

        $change_password_url = url("users/3/".$consultant[0]->id."/change_password");

        return view('consultants.edit', compact('consultant', 'standards', 'change_password_url'));
    }


    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id) {
        request()->validate([
            'firstname' => 'required',
            'lastname' => 'required',
            'email' => 'required',    
            'phone' => 'required',
            'website' => 'required',
            'street' => 'required',
            'city' => 'required',
            'state' => 'required',
            'zip' => 'required',
            'standard_id' => 'required',
            'seniority' => 'required',
            'permissions' => 'required',            
            // 'files_w9' => 'required',
            // 'files_certificate' => 'required',
            // 'files_contract' => 'required',
            // 'files_other' => 'required',                
        ]);

        // $request = $request->all();

        // $admins_string = "";

        // for ($i=1; $i <= $request['admins_count']; $i++) {
        //     $current_admin = 'admin-'.$i;

        //     if ($request[$current_admin]) {
        //         if ($admins_string) {
        //             $admins_string .= ",".$request[$current_admin];
        //         }
        //         else {
        //             $admins_string .= $request[$current_admin];
        //         }
        //     }
        // }

        $consultant = Consultants::where('id', $id)
            ->update([
            'primary_contact_firstname' => $request['firstname'],
            'primary_contact_lastname' => $request['lastname'],
            'primary_contact_email' => $request['email'],
            'primary_contact_phone' => $request['phone'],
            'website' => $request['website'],
            'street' => $request['street'],
            'city' => $request['city'],
            'state' => $request['state'],
            'zip' => $request['zip'],
            'standard_id' => $request['standard_id'],
            'seniority' => $request['seniority'],
            'permissions' => $request['permissions'],
            // 'files_w9' => $request['files_w9'],
            // 'files_certificate' => $request['files_certificate'],
            // 'files_contract' => $request['files_contract'],
            // 'files_other' => $request['files_other'],   
        ]);

        // $sendEmail = new TasksController;
        // $sendEmail->sendEmail($task->id, array(), "NewTask");

        $old_files_w9 = Consultants::where('id', $id)
            ->select('files_w9')
            ->get();

        $files_w9 = $request->file('files_w9');
    	$file_names_w9 = "";
    	$same_file_count_w9 = 0;
    	$counter_w9 = 0;
    	if (!empty($files_w9)) {
            foreach ($files_w9 as $file_w9) {
                $file_original_name_w9 = $file_w9->getClientOriginalName();
                $file_name_w9 = $file_original_name_w9;
                while ( strpos( $old_files_w9[0]->files_w9, $file_name_w9 ) !== false ) {
                    $same_file_count_w9++;
                    $file_array_w9=explode(".", $file_original_name_w9);
                    $file_array_last_item_w9 = count($file_array_w9)-1;
                    $file_array_w9[$file_array_last_item_w9] = "-".$same_file_count_w9.".".$file_array_w9[$file_array_last_item_w9];
                    $file_name_w9 = implode("", $file_array_w9);
                }

                $destinationPath_w9 = public_path('/uploads/consultants/w9/'.$id);
                $file_w9->move($destinationPath_w9, $file_name_w9);

                // $details = [
                //     'file_name' => $file_name,
                //     'file_path' => public_path('/uploads/consultants/w9/'.$id.'/'.$file_name)
                // ];
                // $sendEmail = new TasksController;
                // $sendEmail->sendEmail($id, $details, "FileUpload");

                $counter_w9++;
                if ($counter_w9==1) {
                    $file_names_w9 .= $file_name_w9;
                }
                else {
                    $file_names_w9 .= ','.$file_name_w9;
                }
            }
    	}

        if ($old_files_w9[0]->files_w9) {
        	Consultants::where('id', $id)
	    	    ->update(array(
	    	    	'files_w9' => $old_files_w9[0]->files_w9 . "," . $file_names_w9,
	    	    ));
        }
        else {
        	Consultants::where('id', $id)
	    	    ->update(array(
	    	    	'files_w9' => $file_names_w9,
	    	    ));
        }

        $old_files_certificate = Consultants::where('id', $id)
            ->select('files_certificate')
            ->get();

        $files_certificate = $request->file('files_certificate');
    	$file_names_certificate = "";
    	$same_file_count_certificate = 0;
    	$counter_certificate = 0;
    	if (!empty($files_certificate)) {
            foreach ($files_certificate as $file_certificate) {
                $file_original_name_certificate = $file_certificate->getClientOriginalName();
                $file_name_certificate = $file_original_name_certificate;
                while ( strpos( $old_files_certificate[0]->files_certificate, $file_name_certificate ) !== false ) {
                    $same_file_count_certificate++;
                    $file_array_certificate=explode(".", $file_original_name_certificate);
                    $file_array_last_item_certificate = count($file_array_certificate)-1;
                    $file_array_certificate[$file_array_last_item_certificate] = "-".$same_file_count_certificate.".".$file_array_certificate[$file_array_last_item_certificate];
                    $file_name_certificate = implode("", $file_array_certificate);
                }

                $destinationPath_certificate = public_path('/uploads/consultants/certificate/'.$id);
                $file_certificate->move($destinationPath_certificate, $file_name_certificate);

                // $details = [
                //     'file_name' => $file_name,
                //     'file_path' => public_path('/uploads/consultants/certificate/'.$id.'/'.$file_name)
                // ];
                // $sendEmail = new TasksController;
                // $sendEmail->sendEmail($id, $details, "FileUpload");

                $counter_certificate++;
                if ($counter_certificate==1) {
                    $file_names_certificate .= $file_name_certificate;
                }
                else {
                    $file_names_certificate .= ','.$file_name_certificate;
                }
            }
    	}

        if ($old_files_certificate[0]->files_certificate) {
        	Consultants::where('id', $id)
	    	    ->update(array(
	    	    	'files_certificate' => $old_files_certificate[0]->files_certificate . "," . $file_names_certificate,
	    	    ));
        }
        else {
        	Consultants::where('id', $id)
	    	    ->update(array(
	    	    	'files_certificate' => $file_names_certificate,
	    	    ));
        }

        $old_files_contract = Consultants::where('id', $id)
            ->select('files_contract')
            ->get();

        $files_contract = $request->file('files_contract');
    	$file_names_contract = "";
    	$same_file_count_contract = 0;
    	$counter_contract = 0;
    	if (!empty($files_contract)) {
            foreach ($files_contract as $file_contract) {
                $file_original_name_contract = $file_contract->getClientOriginalName();
                $file_name_contract = $file_original_name_contract;
                while ( strpos( $old_files_contract[0]->files_contract, $file_name_contract ) !== false ) {
                    $same_file_count_contract++;
                    $file_array_contract=explode(".", $file_original_name_contract);
                    $file_array_last_item_contract = count($file_array_contract)-1;
                    $file_array_contract[$file_array_last_item_contract] = "-".$same_file_count_contract.".".$file_array_contract[$file_array_last_item_contract];
                    $file_name_contract = implode("", $file_array_contract);
                }

                $destinationPath_contract = public_path('/uploads/consultants/contract/'.$id);
                $file_contract->move($destinationPath_contract, $file_name_contract);

                // $details = [
                //     'file_name' => $file_name,
                //     'file_path' => public_path('/uploads/consultants/contract/'.$id.'/'.$file_name)
                // ];
                // $sendEmail = new TasksController;
                // $sendEmail->sendEmail($id, $details, "FileUpload");

                $counter_contract++;
                if ($counter_contract==1) {
                    $file_names_contract .= $file_name_contract;
                }
                else {
                    $file_names_contract .= ','.$file_name_contract;
                }
            }
    	}

        if ($old_files_contract[0]->files_contract) {
        	Consultants::where('id', $id)
	    	    ->update(array(
	    	    	'files_contract' => $old_files_contract[0]->files_contract . "," . $file_names_contract,
	    	    ));
        }
        else {
        	Consultants::where('id', $id)
	    	    ->update(array(
	    	    	'files_contract' => $file_names_contract,
	    	    ));
        }

        $old_files_other = Consultants::where('id', $id)
            ->select('files_other')
            ->get();

        $files_other = $request->file('files_other');
    	$file_names_other = "";
    	$same_file_count_other = 0;
    	$counter_other = 0;
    	if (!empty($files_other)) {
            foreach ($files_other as $file_other) {
                $file_original_name_other = $file_other->getClientOriginalName();
                $file_name_other = $file_original_name_other;
                while ( strpos( $old_files_other[0]->files_other, $file_name_other ) !== false ) {
                    $same_file_count_other++;
                    $file_array_other=explode(".", $file_original_name_other);
                    $file_array_last_item_other = count($file_array_other)-1;
                    $file_array_other[$file_array_last_item_other] = "-".$same_file_count_other.".".$file_array_other[$file_array_last_item_other];
                    $file_name_other = implode("", $file_array_other);
                }

                $destinationPath_other = public_path('/uploads/consultants/other/'.$id);
                $file_other->move($destinationPath_other, $file_name_other);

                // $details = [
                //     'file_name' => $file_name,
                //     'file_path' => public_path('/uploads/consultants/other/'.$id.'/'.$file_name)
                // ];
                // $sendEmail = new TasksController;
                // $sendEmail->sendEmail($id, $details, "FileUpload");

                $counter_other++;
                if ($counter_other==1) {
                    $file_names_other .= $file_name_other;
                }
                else {
                    $file_names_other .= ','.$file_name_other;
                }
            }
    	}

        if ($old_files_other[0]->files_other) {
        	Consultants::where('id', $id)
	    	    ->update(array(
	    	    	'files_other' => $old_files_other[0]->files_other . "," . $file_names_other,
	    	    ));
        }
        else {
        	Consultants::where('id', $id)
	    	    ->update(array(
	    	    	'files_other' => $file_names_other,
	    	    ));
        }
    
        return redirect()->route('consultants.index')->with('success', 'Consultant edited successfully.');
    }


    /**
     *
     * Task file upload
     *
    **/
    public function taskFileUpload(Request $request, $id) {
        request()->validate([
            'files'    => 'required',           
        ]);

        $old_files = Tasks::where('id', $id)
            ->select('files')
            ->get();

        $files = $request->file('files');
    	$file_names = "";
    	$same_file_count = 0;
    	$counter = 0;
    	if (!empty($files)) {
            foreach ($files as $file) {
                $file_original_name = $file->getClientOriginalName();
                $file_name = $file_original_name;
                while ( strpos( $old_files[0]->files, $file_name ) !== false ) {
                    $same_file_count++;
                    $file_array=explode(".", $file_original_name);
                    $file_array_last_item = count($file_array)-1;
                    $file_array[$file_array_last_item] = "-".$same_file_count.".".$file_array[$file_array_last_item];
                    $file_name = implode("", $file_array);
                }

                $destinationPath = public_path('/uploads/tasks/'.$id);
                $file->move($destinationPath, $file_name);

                $details = [
                    'file_name' => $file_name,
                    'file_path' => public_path('/uploads/tasks/'.$id.'/'.$file_name)
                ];
                $sendEmail = new TasksController;
                $sendEmail->sendEmail($id, $details, "FileUpload");
            
                $counter++;
                if ($counter==1) {
                    $file_names .= $file_name;
                }
                else {
                    $file_names .= ','.$file_name;
                }
            }
    	}

        if ($old_files[0]->files) {
        	Tasks::where('id', $id)
	    	    ->update(array(
	    	    	'files' => $old_files[0]->files . "," . $file_names,
	    	    ));
        }
        else {
        	Tasks::where('id', $id)
	    	    ->update(array(
	    	    	'files' => $file_names,
	    	    ));
        }

        return back()->with('success','File Upload successful');
    }


    /**
     *
     * consultant assign status change
     *
    **/
    public function assign(Request $request, $consultant_id) {
        $assign = DB::table('consultants')
            ->where('id', $consultant_id)
            ->pluck('assign');

        if ($assign[0] == "yes") {
            DB::table('consultants')
                ->where('id', $consultant_id)
                ->update(array(
                    'assign' => "no",
                ));

            // $sendEmail = new TasksController;
            // $sendEmail->sendEmail($task_id, array(), "TaskUndone");
        }
        else {
            DB::table('consultants')
                ->where('id', $consultant_id)
                ->update(array(
                    'assign' => "yes",
                ));

            // $sendEmail = new TasksController;
            // $sendEmail->sendEmail($task_id, array(), "TaskDone");
        }

        return back()->with('success','Consultant assign status changed!');
    }

    public function get_clients_names($clients_string) {
        if ($clients_string) {
            $clients_array = explode(",", $clients_string);
            $clients_array_count = count($clients_array);
            $clients_names = "";
            for ($i=0; $i < $clients_array_count; $i++) {            
                $client = Clients::where("clients.id", $clients_array[$i])
                    ->select('clients.organization_name')
                    ->get();
                if (($i+1) == $clients_array_count) {
                    $clients_names .= $client[0]->organization_name;
                }
                else {
                    $clients_names .= $client[0]->organization_name.", ";
                }
            }
            return $clients_names;
        }
        return "";        
    }


    /**
     *
     * Task file acknowledge status change
     *
    **/
    // public function acknowledge(Request $request, $task_id) {
    //     $acknowledge = DB::table('tasks')
    //         ->where('id', $task_id)
    //         ->pluck('acknowledge');

    //     if ($acknowledge[0] == "yes") {
    //         DB::table('tasks')
    //             ->where('id', $task_id)
    //             ->update(array(
    //                 'acknowledge' => "no",
    //             ));

    //         $sendEmail = new TasksController;
    //         $sendEmail->sendEmail($task_id, array(), "TaskUnacknowledged");
    //     }
    //     else {
    //         DB::table('tasks')
    //             ->where('id', $task_id)
    //             ->update(array(
    //                 'acknowledge' => "yes",
    //                 'acknowledge_date' => DB::raw('NOW()'),
    //             ));

    //         $sendEmail = new TasksController;
    //         $sendEmail->sendEmail($task_id, array(), "TaskAcknowledged");
    //     }

    //     return back()->with('success','Task acknowledge status changed!');
    // }


    /**
     *
     * Task add comment
     *
    **/
    // public function add_comment(Request $request, $id) {
    //     request()->validate([
    //         'comment_text'    => 'required',
    //     ]);

    //     $request = $request->all();

    //     $current_user_id = Auth::id();

    //     Comments::create([
    //         'text' => $request['comment_text'],
    //         'parent_id' => $request['parent_id'],
    //         'task_id' => $id,
    //         'user_id' => $current_user_id,
    //     ]);

    //     $details = [
    //         'comment_text' => $request['comment_text']
    //     ];
    //     $sendEmail = new TasksController;
    //     $sendEmail->sendEmail($id, $details, "NewComment");

    //     return back()->with('success','Comment added!');
    // }


    /**
     *
     * Task close comment
     *
    **/
    // public function close_comment(Request $request, $id, $comment_id) {
    //     $comment = DB::table('comments')
    //         ->where('id', $comment_id)
    //         ->get();

    //     if ($comment[0]->status == "open") {
    //         DB::table('comments')
    //             ->where('id', $comment_id)
    //             ->update(array(
    //                 'status' => "closed",
    //             ));

    //         $details = [
    //             'comment_text' => strip_tags($comment[0]->text)
    //         ];
    //         $sendEmail = new TasksController;
    //         $sendEmail->sendEmail($comment[0]->task_id, $details, "CommentDone");
    //     }
    //     else {
    //         DB::table('comments')
    //             ->where('id', $comment_id)
    //             ->update(array(
    //                 'status' => "open",
    //             ));

    //         $details = [
    //             'comment_text' => strip_tags($comment[0]->text)
    //         ];
    //         $sendEmail = new TasksController;
    //         $sendEmail->sendEmail($comment[0]->task_id, $details, "CommentUndone");
    //     }

    //     return back()->with('success','Comment status changed!');
    // }


    /**
     *
     * Get task child comments
     *
    **/
    // public function get_child_comments($parent_id) {
    //     $child_comments = DB::table('comments')
    //         ->where('comments.parent_id', $parent_id)
    //         // ->where('comments.task_id', $task[0]->id)
    //         ->LeftJoin('users', 'users.id', '=', 'comments.user_id')
    //         ->orderBy('comments.created_at', 'asc')
    //         ->select('comments.*', 'users.firstname as user_firstname', 'users.lastname as user_lastname')
    //         ->get();

    //     $child_comments_html = '<div class="child-comments">';
    //     foreach($child_comments as $child_comment) {
    //     	$child_comments_html .= '<div class="comment" id="'.$child_comment->id.'">';
    //     	$child_comments_html .= '<div class="card"><div class="card-header"><i class="fas fa-user"></i>'.$child_comment->user_firstname.'</div><div class="card-body">'.$child_comment->text.'</div><div class="card-footer"><div class="row align-items-center"><div class="col-4"><button class="btn btn-primary btn-sm reply">Reply</button></div><div class="col-8 text-right">'.$child_comment->created_at.'<a href="'.route('tasks.close_comment', ['id'=>$child_comment->task_id, 'comment_id'=>$child_comment->id]).'">';
    //     	if ($child_comment->status == "open") {
    //     		$child_comments_html .= '<i class="fa fa-times-circle" title="Close comment"></i>';
    //     	}
    //     	else {
    //     		$child_comments_html .= '<i class="fa fa-check-circle" title="Open comment"></i>';
    //     	}
    //     	$child_comments_html .= '</a></div></div></div></div>';
	//         if (!empty($child_comments)) {
	//         	$get_child_comments = new TasksController;
    //             $child_comments_html .= $get_child_comments->get_child_comments($child_comment->id);
	//         	// echo get_child_comments($child_comment->id);
	//         }
    //     	$child_comments_html .= '</div>';
    //     }
    //     $child_comments_html .= '</div>';

    //     return $child_comments_html;
    // }


    /**
     *
     * Comment file upload
     *
    **/
    // public function commentFileUpload(Request $request, $id) {
    // 	$request->upload->move(public_path('/uploads/comments/'.$id), $request->file('upload')->getClientOriginalName());
    // 	echo json_encode(array('file_name' => $request->file('upload')->getClientOriginalName
    // 		()));
    // }


    /**
     *
     * Send email
     *
    **/
    // public function sendEmail($task_id, $details, $email_type) {
    //     $current_user_id = Auth::id();

    //     $task = Tasks::where("tasks.id", $task_id)
    //         ->select('tasks.*')
    //         ->get();

    //     $details["short_description"] = $task[0]->short_description;
    //     $details["importance"] = $task[0]->importance;
    //     $details["deadline"] = $task[0]->deadline;
    //     $details["description"] = $task[0]->description;
    //     $details["link"] = url('/');

    //     if ($task[0]->admins) {
    //         $admins_array = explode(",", $task[0]->admins);
    //     }
    //     else {
    //         $admins_array = array();
    //     }

    //     for ($j=0; $j < count($admins_array); $j++) {
    //         if ( $current_user_id != $admins_array[$j] ) {
    //             $admin = Users::where("users.id", $admins_array[$j])
    //                 ->select('users.*')
    //                 ->get();

    //             $details["firstname"] = $admin[0]->firstname;

    //             switch ($email_type) {
    //                 case 'NewTask':
    //                     \Mail::to($admin[0]->email)->send(new NewTask($details));
    //                     break;
    //                 case 'FileUpload':
    //                     \Mail::to($admin[0]->email)->send(new FileUpload($details));
    //                     break;
    //                 case 'NewComment':
    //                     \Mail::to($admin[0]->email)->send(new NewComment($details));
    //                     break;
    //                 case 'CommentDone':
    //                     \Mail::to($admin[0]->email)->send(new CommentDone($details));
    //                     break;
    //                 case 'CommentUndone':
    //                     \Mail::to($admin[0]->email)->send(new CommentUndone($details));
    //                     break;
    //                 case 'TaskDone':
    //                     \Mail::to($admin[0]->email)->send(new TaskDone($details));
    //                     break;
    //                 case 'TaskUndone':
    //                     \Mail::to($admin[0]->email)->send(new TaskUndone($details));
    //                     break;
    //                 case 'TaskAcknowledged':
    //                     \Mail::to($admin[0]->email)->send(new TaskAcknowledged($details));
    //                     break;
    //                 case 'TaskUnacknowledged':
    //                     \Mail::to($admin[0]->email)->send(new TaskUnacknowledged($details));
    //                     break;
                    
    //                 default:
    //                     break;
    //             }                
    //         }                
    //     }

    //     if ( $current_user_id != $task[0]->user_id ) {
    //         $user = Users::where("users.id", $task[0]->user_id)
    //             ->select('users.*')
    //             ->get();

    //         $details["firstname"] = $user[0]->firstname;

    //         switch ($email_type) {
    //             case 'NewTask':
    //                 \Mail::to($user[0]->email)->send(new NewTask($details));
    //                 break;
    //             case 'FileUpload':
    //                 \Mail::to($user[0]->email)->send(new FileUpload($details));
    //                 break;
    //             case 'NewComment':
    //                 \Mail::to($user[0]->email)->send(new NewComment($details));
    //                 break;
    //             case 'CommentDone':
    //                 \Mail::to($user[0]->email)->send(new CommentDone($details));
    //                 break;
    //             case 'CommentUndone':
    //                 \Mail::to($user[0]->email)->send(new CommentUndone($details));
    //                 break;
    //             case 'TaskDone':
    //                 \Mail::to($user[0]->email)->send(new TaskDone($details));
    //                 break;
    //             case 'TaskUndone':
    //                 \Mail::to($user[0]->email)->send(new TaskUndone($details));
    //                 break;
    //             case 'TaskAcknowledged':
    //                 \Mail::to($user[0]->email)->send(new TaskAcknowledged($details));
    //                 break;
    //             case 'TaskUnacknowledged':
    //                 \Mail::to($user[0]->email)->send(new TaskUnacknowledged($details));
    //                 break;
                
    //             default:
    //                 break;
    //         }
    //     }
    // }
}