<?php
namespace App\Http\Controllers;

use DB;
use Auth;
use Session;

use App\Models\Users;
use App\Models\Roles;
use App\Models\Clients;
use App\Models\Consultants;
use App\Models\Projects;
use App\Models\Standards;
use App\Models\Templates;
use Illuminate\Http\Request;

// use Illuminate\Contracts\Routing\ResponseFactory;


class HomeController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Http\Response
     */
    public   function index() {
        $user_id = Auth::id();

        $user_role_id = Users::select(['role_id'])
            ->where('id', $user_id)
            ->pluck('role_id');

        if ($user_role_id[0] == 1) {
            $projects = Projects::where([])
                ->count();

            $clients = Clients::where([])
                ->count();

            $consultants = Consultants::where([])
                ->count();

            $assigned_projects = Projects::where([])
                ->count();

            $completed_projects = Projects::where([
                    ["projects.completed", "1"]
                ])
                ->count();

            return view('dashboard/admin', compact('projects', 'clients', 'consultants', 'assigned_projects', 'completed_projects'));
        }
        else {
            $projects = Projects::where([])
                ->count();

            $clients = Clients::where([])
                ->count();

            $consultants = Consultants::where([])
                ->count();

            $assigned_projects = Projects::where([])
                ->count();

            $completed_projects = Projects::where([
                    ["projects.completed", "1"]
                ])
                ->count();

            return view('dashboard/user', compact('projects', 'clients', 'consultants', 'assigned_projects', 'completed_projects'));
        }
    }  


    // public function get_users_tasks_for_menu() {
    //     $users = Users::select(['id','firstname'])
    //         ->get();

    //     $users_html = "";

    //     foreach ($users as $user) {
    //         $users_html .= '<a class="dropdown-item" href="/tasks?user='.$user->id.'">'.$user->firstname.'\'s tasks</a>';
    //     }
        
    //     return $users_html;
    // }


    public function get_account_url() {
        $user_id = Auth::id();

        return url("users/1/".$user_id."/change_password");
    }

    
}