<?php

namespace App\Http\Controllers;

use DateTime;
use DB;
use Auth;
use Session;
use Mail;
use App\Mail\NewTask;
use App\Mail\NewComment;
use App\Mail\CommentDone;
use App\Mail\CommentUndone;
use App\Mail\TaskDone;
use App\Mail\TaskUndone;
use App\Mail\TaskAcknowledged;
use App\Mail\TaskUnacknowledged;
use App\Mail\FileUpload;
use App\Models\Home;
use App\Models\Tasks;
use App\Models\Clients;
use App\Models\Users;
use App\Models\Comments;
use Illuminate\Http\Request;

// use Illuminate\Support\Facades\Auth;
// use Illuminate\Support\Facades\Input;
// use App\Helpers\Contracts\CommentInterface;
// use Illuminate\Contracts\Routing\ResponseFactory;

class TasksController extends Controller
{
    // protected $comment_inteface;

    // public function __construct(CommentInterface $comment_inteface){
    //     $this->comment_inteface = $comment_inteface;
    // }


    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request) {
    	$current_user_id = Auth::id();

        $current_user_role_id = Users::select(['role_id'])
            ->where('id', $current_user_id)
            ->pluck('role_id');

        if ( $current_user_role_id[0] == 2 ) {
            $tasks = DB::table('tasks')
                ->LeftJoin('users', 'users.id', '=', 'tasks.user_id')
                ->LeftJoin('clients', 'clients.id', '=', 'tasks.client_id')
                ->where('tasks.user_id', $current_user_id)
                ->where('tasks.done', 'no')
                ->select('tasks.*', 'users.id as user_id', 'users.firstname as user_firstname', 'users.lastname as user_lastname', 'clients.name as client_name', 'clients.folder as client_folder')
                ->get();

            $done_tasks = DB::table('tasks')
                ->LeftJoin('users', 'users.id', '=', 'tasks.user_id')
                ->LeftJoin('clients', 'clients.id', '=', 'tasks.client_id')
                ->where('tasks.user_id', $current_user_id)
                ->where('tasks.done', 'yes')
                ->select('tasks.*', 'users.id as user_id', 'users.firstname as user_firstname', 'users.lastname as user_lastname', 'clients.name as client_name', 'clients.folder as client_folder')
                ->get();
        }
        elseif ( ($current_user_role_id[0]==1) && !empty($_GET["user"]) ) {
            $tasks = DB::table('tasks')
                ->LeftJoin('users', 'users.id', '=', 'tasks.user_id')
                ->LeftJoin('clients', 'clients.id', '=', 'tasks.client_id')
                ->where('tasks.user_id', $_GET["user"])
                ->where('tasks.done', 'no')
                ->select('tasks.*', 'users.id as user_id', 'users.firstname as user_firstname', 'users.lastname as user_lastname', 'clients.name as client_name', 'clients.folder as client_folder')
                ->get();

            $done_tasks = DB::table('tasks')
                ->LeftJoin('users', 'users.id', '=', 'tasks.user_id')
                ->LeftJoin('clients', 'clients.id', '=', 'tasks.client_id')
                ->where('tasks.user_id', $_GET["user"])
                ->where('tasks.done', 'yes')
                ->select('tasks.*', 'users.id as user_id', 'users.firstname as user_firstname', 'users.lastname as user_lastname', 'clients.name as client_name', 'clients.folder as client_folder')
                ->get();
        }
        elseif ( ($current_user_role_id[0]==1) && !empty($_GET["client"]) ) {
            $tasks = DB::table('tasks')
                ->LeftJoin('users', 'users.id', '=', 'tasks.user_id')
                ->LeftJoin('clients', 'clients.id', '=', 'tasks.client_id')
                ->where('tasks.client_id', $_GET["client"])
                ->where('tasks.done', 'no')
                ->select('tasks.*', 'users.id as user_id', 'users.firstname as user_firstname', 'users.lastname as user_lastname', 'clients.name as client_name', 'clients.folder as client_folder')
                ->get();

            $done_tasks = DB::table('tasks')
                ->LeftJoin('users', 'users.id', '=', 'tasks.user_id')
                ->LeftJoin('clients', 'clients.id', '=', 'tasks.client_id')
                ->where('tasks.client_id', $_GET["client"])
                ->where('tasks.done', 'yes')
                ->select('tasks.*', 'users.id as user_id', 'users.firstname as user_firstname', 'users.lastname as user_lastname', 'clients.name as client_name', 'clients.folder as client_folder')
                ->get();
        }
        elseif ( $current_user_role_id[0] == 1 ) {
            $tasks = DB::table('tasks')
                ->LeftJoin('users', 'users.id', '=', 'tasks.user_id')
                ->LeftJoin('clients', 'clients.id', '=', 'tasks.client_id')
                ->where('tasks.done', 'no')
                ->select('tasks.*', 'users.id as user_id', 'users.firstname as user_firstname', 'users.lastname as user_lastname', 'clients.name as client_name', 'clients.folder as client_folder')
                ->get();

            $done_tasks = DB::table('tasks')
                ->LeftJoin('users', 'users.id', '=', 'tasks.user_id')
                ->LeftJoin('clients', 'clients.id', '=', 'tasks.client_id')
                ->where('tasks.done', 'yes')
                ->select('tasks.*', 'users.id as user_id', 'users.firstname as user_firstname', 'users.lastname as user_lastname', 'clients.name as client_name', 'clients.folder as client_folder')
                ->get();
        }
        
        return view('tasks.index', compact('tasks', 'done_tasks'));
    }


    /**
     * Create a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create() {
        $current_user_id = Auth::id();

        $current_user_role_id = Users::select(['role_id'])
            ->where('id', $current_user_id)
            ->pluck('role_id');

        if ( $current_user_role_id[0] == 1 ) {
            $selected_admin = $current_user_id;
        }
        else {
            $selected_admin = "";
        }

        $clients = Clients::select(['id','name'])
            ->pluck('name', 'id');

        $users = Users::select(['id', 'firstname', 'lastname'])
            ->pluck('firstname', 'id');

        $admins = Users::select(['id', 'firstname', 'lastname'])
            ->where('role_id', 1)
            ->pluck('firstname', 'id');


        return view('tasks.create', compact('clients', 'users', 'admins', 'selected_admin'));
    }


    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request) {
    	request()->validate([
            'client_id'    => 'required',
            'user_id'    => 'required',
            'short_description'      => 'required',
            'deadline'      => 'required',
            'importance'  => 'required',
            // 'description'   => 'required',
            'recurring'  => 'required',
            // 'frequency'  => 'required',
            // 'every_day_month'  => 'required',
            // 'every_weekday'  => 'required',
            // 'deadline_from_creation_day'  => 'required',                        
        ]);

        // $request = $request->all();

        $admins_string = "";

        for ($i=1; $i <= $request['admins_count']; $i++) {
            $current_admin = 'admin-'.$i;

            if ($request[$current_admin]) {
                if ($admins_string) {
                    $admins_string .= ",".$request[$current_admin];
                }
                else {
                    $admins_string .= $request[$current_admin];
                }
            }
        }

        $task = Tasks::create([
            'client_id' => $request['client_id'],
            'user_id' => $request['user_id'],
            'admins' => $admins_string,
            'short_description' => $request['short_description'],
            'deadline' => $request['deadline'],
            'importance' => $request['importance'],   
            'description' => $request['description'],
            'recurring'  => $request['recurring'],
            'frequency'  => $request['frequency'],
            'every_day_month'  => $request['every_day_month'],
            'every_weekday'  => $request['every_weekday'],
            'deadline_from_creation_day'  => $request['deadline_from_creation_day'],    
        ]);

        $sendEmail = new TasksController;
        $sendEmail->sendEmail($task->id, array(), "NewTask");

        $files = $request->file('files');
    	$file_names = "";
        $counter = 0;
        if (!empty($files)) {
            foreach ($files as $file) {
                $file_name = $file->getClientOriginalName();
                $destinationPath = public_path('/uploads/tasks/'.$task->id);
                $file->move($destinationPath, $file_name);

                $details = [
                    'file_name' => $file_name,
                    'file_path' => public_path('/uploads/tasks/'.$task->id.'/'.$file_name)
                ];
                $sendEmail = new TasksController;
                $sendEmail->sendEmail($task->id, $details, "FileUpload");
                
                $counter++;
                if ($counter==1) {
                    $file_names .= $file_name;
                }
                else {
                    $file_names .= ','.$file_name;
                }
            }
    	}

    	Tasks::where('id', $task->id)
    	    ->update(array(
    	    	'files' => $file_names,
    	    ));

        return redirect()->route('tasks.index')->with('success', 'Tasks created successfully.');
    }


    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id) {
        $task = DB::table('tasks')
            ->LeftJoin('users', 'users.id', '=', 'tasks.user_id')
            ->LeftJoin('clients', 'clients.id', '=', 'tasks.client_id')
            ->where("tasks.id", $id)
            ->select('tasks.*', 'users.firstname as user_firstname', 'users.lastname as user_lastname', 'clients.name as client_name')
            ->get();

        $client = Clients::where("clients.id", $task[0]->client_id)
            ->select('clients.name')
            ->get();

        $user = Users::where("users.id", $task[0]->user_id)
            ->select('users.firstname', 'users.lastname')
            ->get();

        $comments = DB::table('comments')
            ->where('comments.parent_id', 0)
            ->where('comments.task_id', $task[0]->id)
            ->LeftJoin('users', 'users.id', '=', 'comments.user_id')
            ->orderBy('comments.created_at', 'desc')
            ->select('comments.*', 'users.firstname as user_firstname', 'users.lastname as user_lastname')
            ->get();

        // foreach ($comments as $comment) {
        //     $parent_id = $comment->id;
        //     $child_comments = DB::table('comments')
        //         ->where('comments.parent_id', $parent_id)
        //         ->where('comments.task_id', $task[0]->id)
        //         ->LeftJoin('users', 'users.id', '=', 'comments.user_id')
        //         ->orderBy('comments.created_at', 'asc')
        //         ->select('comments.*', 'users.firstname as user_firstname', 'users.lastname as user_lastname')
        //         ->get();
        //     $comment->child_comments = $child_comments;
        // }

        return view('tasks.show', compact('task', 'comments', 'client', 'user'));
    }


    /**
     * Edit the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id) {
        $task = DB::table('tasks')
            ->where("tasks.id", $id)
            ->select('tasks.*')
            ->get();

        $clients = Clients::select(['id','name'])
            ->pluck('name', 'id');

        $users = Users::select(['id', 'firstname', 'lastname'])
            ->pluck('firstname', 'id');

        $admins = Users::select(['id', 'firstname', 'lastname'])
            ->where('role_id', 1)
            ->pluck('firstname', 'id');

        return view('tasks.edit', compact('task', 'clients', 'users', 'admins'));
    }


    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id) {
        request()->validate([
            'client_id'    => 'required',
            'user_id'    => 'required',
            'short_description'      => 'required',
            'deadline'      => 'required',
            'importance'  => 'required',
            // 'description'   => 'required',
            'recurring'  => 'required',
            // 'frequency'  => 'required',
            // 'every_day_month'  => 'required',
            // 'every_weekday'  => 'required',
            // 'deadline_from_creation_day'  => 'required',           
        ]);

        // $request = $request->all();

        $admins_string = "";

        for ($i=1; $i <= $request['admins_count']; $i++) {
            $current_admin = 'admin-'.$i;

            if ($request[$current_admin]) {
                if ($admins_string) {
                    $admins_string .= ",".$request[$current_admin];
                }
                else {
                    $admins_string .= $request[$current_admin];
                }
            }
        }

        Tasks::where('id', $id)
            ->update([
            'client_id' => $request['client_id'],
            'user_id' => $request['user_id'],
            'admins' => $admins_string,
            'short_description' => $request['short_description'],
            'deadline' => $request['deadline'],
            'importance' => $request['importance'],   
            'description' => $request['description'],
            'recurring'  => $request['recurring'],
            'frequency'  => $request['frequency'],
            'every_day_month'  => $request['every_day_month'],
            'every_weekday'  => $request['every_weekday'],
            'deadline_from_creation_day'  => $request['deadline_from_creation_day'],         
        ]);

        $old_files = Tasks::where('id', $id)
            ->select('files')
            ->get();

        $files = $request->file('files');
    	$file_names = "";
    	$same_file_count = 0;
    	$counter = 0;
    	if (!empty($files)) {
            foreach ($files as $file) {
                $file_original_name = $file->getClientOriginalName();
                $file_name = $file_original_name;
                while ( strpos( $old_files[0]->files, $file_name ) !== false ) {
                    $same_file_count++;
                    $file_array=explode(".", $file_original_name);
                    $file_array_last_item = count($file_array)-1;
                    $file_array[$file_array_last_item] = "-".$same_file_count.".".$file_array[$file_array_last_item];
                    $file_name = implode("", $file_array);
                }

                $destinationPath = public_path('/uploads/tasks/'.$id);
                $file->move($destinationPath, $file_name);

                $details = [
                    'file_name' => $file_name,
                    'file_path' => public_path('/uploads/tasks/'.$id.'/'.$file_name)
                ];
                $sendEmail = new TasksController;
                $sendEmail->sendEmail($id, $details, "FileUpload");

                $counter++;
                if ($counter==1) {
                    $file_names .= $file_name;
                }
                else {
                    $file_names .= ','.$file_name;
                }
            }
    	}

        if ($old_files[0]->files) {
        	Tasks::where('id', $id)
	    	    ->update(array(
	    	    	'files' => $old_files[0]->files . "," . $file_names,
	    	    ));
        }
        else {
        	Tasks::where('id', $id)
	    	    ->update(array(
	    	    	'files' => $file_names,
	    	    ));
        }

        return redirect()->route('tasks.index')->with('success', 'Task edited successfully.');
    }


    /**
     *
     * Task file upload
     *
    **/
    public function taskFileUpload(Request $request, $id) {
        request()->validate([
            'files'    => 'required',           
        ]);

        $old_files = Tasks::where('id', $id)
            ->select('files')
            ->get();

        $files = $request->file('files');
    	$file_names = "";
    	$same_file_count = 0;
    	$counter = 0;
    	if (!empty($files)) {
            foreach ($files as $file) {
                $file_original_name = $file->getClientOriginalName();
                $file_name = $file_original_name;
                while ( strpos( $old_files[0]->files, $file_name ) !== false ) {
                    $same_file_count++;
                    $file_array=explode(".", $file_original_name);
                    $file_array_last_item = count($file_array)-1;
                    $file_array[$file_array_last_item] = "-".$same_file_count.".".$file_array[$file_array_last_item];
                    $file_name = implode("", $file_array);
                }

                $destinationPath = public_path('/uploads/tasks/'.$id);
                $file->move($destinationPath, $file_name);

                $details = [
                    'file_name' => $file_name,
                    'file_path' => public_path('/uploads/tasks/'.$id.'/'.$file_name)
                ];
                $sendEmail = new TasksController;
                $sendEmail->sendEmail($id, $details, "FileUpload");
            
                $counter++;
                if ($counter==1) {
                    $file_names .= $file_name;
                }
                else {
                    $file_names .= ','.$file_name;
                }
            }
    	}

        if ($old_files[0]->files) {
        	Tasks::where('id', $id)
	    	    ->update(array(
	    	    	'files' => $old_files[0]->files . "," . $file_names,
	    	    ));
        }
        else {
        	Tasks::where('id', $id)
	    	    ->update(array(
	    	    	'files' => $file_names,
	    	    ));
        }

        return back()->with('success','File Upload successful');
    }


    /**
     *
     * Task file done status change
     *
    **/
    public function done(Request $request, $task_id) {
        $done = DB::table('tasks')
            ->where('id', $task_id)
            ->pluck('done');

        if ($done[0] == "yes") {
            DB::table('tasks')
                ->where('id', $task_id)
                ->update(array(
                    'done' => "no",
                ));

            $sendEmail = new TasksController;
            $sendEmail->sendEmail($task_id, array(), "TaskUndone");
        }
        else {
            DB::table('tasks')
                ->where('id', $task_id)
                ->update(array(
                    'done' => "yes",
                    'done_date' => DB::raw('NOW()'),
                ));

            $sendEmail = new TasksController;
            $sendEmail->sendEmail($task_id, array(), "TaskDone");
        }

        return back()->with('success','Task done status changed!');
    }


    /**
     *
     * Task file acknowledge status change
     *
    **/
    public function acknowledge(Request $request, $task_id) {
        $acknowledge = DB::table('tasks')
            ->where('id', $task_id)
            ->pluck('acknowledge');

        if ($acknowledge[0] == "yes") {
            DB::table('tasks')
                ->where('id', $task_id)
                ->update(array(
                    'acknowledge' => "no",
                ));

            $sendEmail = new TasksController;
            $sendEmail->sendEmail($task_id, array(), "TaskUnacknowledged");
        }
        else {
            DB::table('tasks')
                ->where('id', $task_id)
                ->update(array(
                    'acknowledge' => "yes",
                    'acknowledge_date' => DB::raw('NOW()'),
                ));

            $sendEmail = new TasksController;
            $sendEmail->sendEmail($task_id, array(), "TaskAcknowledged");
        }

        return back()->with('success','Task acknowledge status changed!');
    }


    /**
     *
     * Task add comment
     *
    **/
    public function add_comment(Request $request, $id) {
        request()->validate([
            'comment_text'    => 'required',
        ]);

        $request = $request->all();

        $current_user_id = Auth::id();

        Comments::create([
            'text' => $request['comment_text'],
            'parent_id' => $request['parent_id'],
            'task_id' => $id,
            'user_id' => $current_user_id,
        ]);

        $details = [
            'comment_text' => $request['comment_text']
        ];
        $sendEmail = new TasksController;
        $sendEmail->sendEmail($id, $details, "NewComment");

        return back()->with('success','Comment added!');
    }


    /**
     *
     * Task close comment
     *
    **/
    public function close_comment(Request $request, $id, $comment_id) {
        $comment = DB::table('comments')
            ->where('id', $comment_id)
            ->get();

        if ($comment[0]->status == "open") {
            DB::table('comments')
                ->where('id', $comment_id)
                ->update(array(
                    'status' => "closed",
                ));

            $details = [
                'comment_text' => strip_tags($comment[0]->text)
            ];
            $sendEmail = new TasksController;
            $sendEmail->sendEmail($comment[0]->task_id, $details, "CommentDone");
        }
        else {
            DB::table('comments')
                ->where('id', $comment_id)
                ->update(array(
                    'status' => "open",
                ));

            $details = [
                'comment_text' => strip_tags($comment[0]->text)
            ];
            $sendEmail = new TasksController;
            $sendEmail->sendEmail($comment[0]->task_id, $details, "CommentUndone");
        }

        return back()->with('success','Comment status changed!');
    }


    /**
     *
     * Get task child comments
     *
    **/
    public function get_child_comments($parent_id) {
        $child_comments = DB::table('comments')
            ->where('comments.parent_id', $parent_id)
            // ->where('comments.task_id', $task[0]->id)
            ->LeftJoin('users', 'users.id', '=', 'comments.user_id')
            ->orderBy('comments.created_at', 'asc')
            ->select('comments.*', 'users.firstname as user_firstname', 'users.lastname as user_lastname')
            ->get();

        $child_comments_html = '<div class="child-comments">';
        foreach($child_comments as $child_comment) {
        	$child_comments_html .= '<div class="comment" id="'.$child_comment->id.'">';
        	$child_comments_html .= '<div class="card"><div class="card-header"><i class="fas fa-user"></i>'.$child_comment->user_firstname.'</div><div class="card-body">'.$child_comment->text.'</div><div class="card-footer"><div class="row align-items-center"><div class="col-4"><button class="btn btn-primary btn-sm reply">Reply</button></div><div class="col-8 text-right">'.$child_comment->created_at.'<a href="'.route('tasks.close_comment', ['id'=>$child_comment->task_id, 'comment_id'=>$child_comment->id]).'">';
        	if ($child_comment->status == "open") {
        		$child_comments_html .= '<i class="fa fa-times-circle" title="Close comment"></i>';
        	}
        	else {
        		$child_comments_html .= '<i class="fa fa-check-circle" title="Open comment"></i>';
        	}
        	$child_comments_html .= '</a></div></div></div></div>';
	        if (!empty($child_comments)) {
	        	$get_child_comments = new TasksController;
                $child_comments_html .= $get_child_comments->get_child_comments($child_comment->id);
	        	// echo get_child_comments($child_comment->id);
	        }
        	$child_comments_html .= '</div>';
        }
        $child_comments_html .= '</div>';

        return $child_comments_html;
    }


    /**
     *
     * Comment file upload
     *
    **/
    public function commentFileUpload(Request $request, $id) {
    	$request->upload->move(public_path('/uploads/comments/'.$id), $request->file('upload')->getClientOriginalName());
    	echo json_encode(array('file_name' => $request->file('upload')->getClientOriginalName
    		()));
    }


    /**
     *
     * Send email
     *
    **/
    public function sendEmail($task_id, $details, $email_type) {
        $current_user_id = Auth::id();

        $task = Tasks::where("tasks.id", $task_id)
            ->select('tasks.*')
            ->get();

        $details["short_description"] = $task[0]->short_description;
        $details["importance"] = $task[0]->importance;
        $details["deadline"] = $task[0]->deadline;
        $details["description"] = $task[0]->description;
        $details["link"] = url('/');

        if ($task[0]->admins) {
            $admins_array = explode(",", $task[0]->admins);
        }
        else {
            $admins_array = array();
        }

        for ($j=0; $j < count($admins_array); $j++) {
            if ( $current_user_id != $admins_array[$j] ) {
                $admin = Users::where("users.id", $admins_array[$j])
                    ->select('users.*')
                    ->get();

                $details["firstname"] = $admin[0]->firstname;

                switch ($email_type) {
                    case 'NewTask':
                        \Mail::to($admin[0]->email)->send(new NewTask($details));
                        break;
                    case 'FileUpload':
                        \Mail::to($admin[0]->email)->send(new FileUpload($details));
                        break;
                    case 'NewComment':
                        \Mail::to($admin[0]->email)->send(new NewComment($details));
                        break;
                    case 'CommentDone':
                        \Mail::to($admin[0]->email)->send(new CommentDone($details));
                        break;
                    case 'CommentUndone':
                        \Mail::to($admin[0]->email)->send(new CommentUndone($details));
                        break;
                    case 'TaskDone':
                        \Mail::to($admin[0]->email)->send(new TaskDone($details));
                        break;
                    case 'TaskUndone':
                        \Mail::to($admin[0]->email)->send(new TaskUndone($details));
                        break;
                    case 'TaskAcknowledged':
                        \Mail::to($admin[0]->email)->send(new TaskAcknowledged($details));
                        break;
                    case 'TaskUnacknowledged':
                        \Mail::to($admin[0]->email)->send(new TaskUnacknowledged($details));
                        break;
                    
                    default:
                        break;
                }                
            }                
        }

        if ( $current_user_id != $task[0]->user_id ) {
            $user = Users::where("users.id", $task[0]->user_id)
                ->select('users.*')
                ->get();

            $details["firstname"] = $user[0]->firstname;

            switch ($email_type) {
                case 'NewTask':
                    \Mail::to($user[0]->email)->send(new NewTask($details));
                    break;
                case 'FileUpload':
                    \Mail::to($user[0]->email)->send(new FileUpload($details));
                    break;
                case 'NewComment':
                    \Mail::to($user[0]->email)->send(new NewComment($details));
                    break;
                case 'CommentDone':
                    \Mail::to($user[0]->email)->send(new CommentDone($details));
                    break;
                case 'CommentUndone':
                    \Mail::to($user[0]->email)->send(new CommentUndone($details));
                    break;
                case 'TaskDone':
                    \Mail::to($user[0]->email)->send(new TaskDone($details));
                    break;
                case 'TaskUndone':
                    \Mail::to($user[0]->email)->send(new TaskUndone($details));
                    break;
                case 'TaskAcknowledged':
                    \Mail::to($user[0]->email)->send(new TaskAcknowledged($details));
                    break;
                case 'TaskUnacknowledged':
                    \Mail::to($user[0]->email)->send(new TaskUnacknowledged($details));
                    break;
                
                default:
                    break;
            }
        }
    }
}