<?php
namespace App\Http\Controllers;

use DB;
use Auth;
use Session;
use Hash;

use App\Models\Users;
use App\Models\Roles;
use App\Models\Clients;
use App\Models\Consultants;
use App\Models\Projects;
use App\Models\Standards;
use App\Models\Templates;
use Illuminate\Http\Request;

// use Illuminate\Support\Facades\Input;

class UsersController extends Controller {
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    // public function index() {
    //     $users = DB::table('users')
    //         ->LeftJoin('roles', 'roles.id', '=', 'users.role_id')
    //         ->select('users.*', 'roles.name as role')
    //         ->get();

    //     return view('users.index', compact('users'));
    // }


    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    // public function create() {
    //     $roles = Roles::select(['id', 'name'])->pluck('name', 'id');
    //     return view('users.create', compact('roles'));
    // }


    /**
     * Store a newly creat=ed resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    // public function store(Request $request) {
    //     request()->validate([
    //         'firstname' => 'required|string|max:255',
    //         'lastname' => 'required|string|max:255',
    //         'email' => 'required|string|email|max:255|unique:users',
    //         'role_id' => 'required',
    //         'password' => 'required|string|min:6|confirmed',
    //         'password_confirmation' => 'required|min:6',
    //     ]);

    //     // $request = $request->all();

    //     Users::create([
    //         'firstname' => $request['firstname'],
    //         'lastname' => $request['lastname'],
    //         'email' => $request['email'],
    //         'role_id' => $request['role_id'],
    //         'password' => bcrypt($request['password']),            
    //     ]);

    //     return redirect()->route('users.index')->with('success', 'User created successfully.');
    // }


    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    // public function edit($id) {
    //     $user = DB::table('users')
    //         ->where("users.id", $id)
    //         ->LeftJoin('roles', 'roles.id', '=', 'users.role_id')
    //         ->select('users.*', 'roles.name as role')
    //         ->get();
    //     $roles = Roles::select(['id', 'name'])
    //         ->pluck('name', 'id');
    //     return view('users.edit', compact('user', 'roles'));
    // }


    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    // public function update(Request $request, $id) {
    //     request()->validate([
    //         'firstname' => 'required|string|max:255',
    //         'lastname' => 'required|string|max:255',
    //         'role_id' => 'required',
    //         'email' => 'required|email|unique:users,email,'.$id,
    //     ]);

    //     Users::find($id)->update([
    //         'firstname' => $request['firstname'],
    //         'lastname' => $request['lastname'],
    //         'email' => $request['email'],
    //         'role_id' => $request['role_id'],
    //     ]);

    //     return redirect()->route('users.index')->with('success', 'User updated successfully.');
    // }


    /**
     * Change password for the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function change_password($role_id, $id) {
        $current_user_id = Auth::id();

        $current_user_role_id = Users::select(['role_id'])
            ->where('id', $current_user_id)
            ->pluck('role_id');

        if ( $current_user_role_id[0] == 1 ) {
            $user = DB::table('users')
                ->where("users.linked_user_id", $id)
                ->where("users.role_id", $role_id)
                ->select('users.*')
                ->get();

            $roles = Roles::select(['id', 'name'])
                ->pluck('name', 'id');

     
            return view('users.change_password', compact('current_user_role_id', 'user', 'roles'));
        }
        elseif ( $current_user_role_id[0] == 2 ) {
            if ( $current_user_id == $id ) {
                $user = DB::table('users')
                    ->where("users.linked_user_id", $id)
                    ->where("users.role_id", $role_id)
                    ->select('users.*')
                    ->get();

                $roles = Roles::select(['id', 'name'])
                    ->pluck('name', 'id');
                
                return view('users.change_password', compact('current_user_role_id', 'user', 'roles'));
            }
            else {
                return redirect()->action('HomeController@index');
            }
        }

        
    }


    /**
     * Update password the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update_password(Request $request, $role_id, $id) {
        $current_user_id = Auth::id();

        $current_user_role_id = Users::select(['role_id'])
            ->where('id', $current_user_id)
            ->pluck('role_id');

        $user = Users::where("users.linked_user_id", $id)
            ->where("users.role_id", $role_id)
            ->get();
        $GLOBALS['user_password'] = $user[0]->password;

        if ( $current_user_role_id[0] == 1 ) {
            request()->validate([
                'password' => 'required|string|min:6|confirmed',
                'password_confirmation' => 'required|min:6'
            ]); 
        }
        else {
            request()->validate([
                'current_password' => [
                    'required',
                    'string',
                    'min:6',
                    function ($attribute, $value, $fail) {
                        if (!Hash::check($value, $GLOBALS['user_password'])) {
                            $fail('Current password is not correct.');
                        }
                    },
                ],
                'password' => 'required|string|min:6|confirmed',
                'password_confirmation' => 'required|min:6'
            ]); 
        }              

        Users::find($user[0]->id)->update([
            'password' => bcrypt($request['password']),
        ]);

        return back()->with('success', 'Password changed successfully.');
    }

}