@extends('layouts.with-sidebar')

@section('content')
    <div class="row">
        <div class="col-12 mb-4">
            ADD ADMIN
        </div>
        <div class="col-12 mb-4">
            {!! Form::open(['route' => 'admins.store', 'method' => 'POST', 'disabled' => false, 'enctype' => 'multipart/form-data', 'files' => true]) !!}
                <div class="form-group row">
                    <div class="col-md-6 mb-4">
                        <label class="col-form-label">Name</label>
                        {!! Form::text('name', null, $attributes = $errors->has('name') ? array('placeholder' => '', 'class' => 'form-control is-invalid') : array('placeholder' => '', 'class' => 'form-control')) !!}
                        @if ($errors->has('name'))
                            <span class="invalid-feedback">
                                <strong>{{ $errors->first('name') }}</strong>
                            </span>
                        @endif
                    </div>
                    <div class="col-md-6 mb-4">
                        <label class="col-form-label">Email</label>
                        {!! Form::email('email', null, $attributes = $errors->has('email') ? array('placeholder' => '', 'class' => 'form-control is-invalid') : array('placeholder' => '', 'class' => 'form-control')) !!}
                        @if ($errors->has('email'))
                            <span class="invalid-feedback">
                                <strong>{{ $errors->first('email') }}</strong>
                            </span>
                        @endif
                    </div>
                    <div class="col-md-6 mb-4">
                        <label class="col-form-label">Phone</label>
                        {!! Form::text('phone', null, $attributes = $errors->has('phone') ? array('placeholder' => '(xxx) xxx-xxxx', 'class' => 'form-control is-invalid') : array('placeholder' => '(xxx) xxx-xxxx', 'class' => 'form-control')) !!}
                        @if ($errors->has('phone'))
                            <span class="invalid-feedback">
                                <strong>{{ $errors->first('phone') }}</strong>
                            </span>
                        @endif
                    </div>
                    <div class="col-md-6 mb-4">
                        <label class="col-form-label">Phone 2</label>
                        {!! Form::text('phone_2', null, $attributes = $errors->has('phone_2') ? array('placeholder' => '(xxx) xxx-xxxx', 'class' => 'form-control is-invalid') : array('placeholder' => '(xxx) xxx-xxxx', 'class' => 'form-control')) !!}
                        @if ($errors->has('phone_2'))
                            <span class="invalid-feedback">
                                <strong>{{ $errors->first('phone_2') }}</strong>
                            </span>
                        @endif
                    </div>
                    <div class="col-12">
                        <label>Address</label>
                    </div>
                    <div class="col-md-6 mb-4">
                        {!! Form::text('street', null, $attributes = $errors->has('street') ? array('placeholder' => 'Street', 'class' => 'form-control is-invalid') : array('placeholder' => 'Street', 'class' => 'form-control')) !!}
                        @if ($errors->has('street'))
                            <span class="invalid-feedback">
                                <strong>{{ $errors->first('street') }}</strong>
                            </span>
                        @endif
                    </div>
                    <div class="col-md-6 mb-4">
                        {!! Form::text('city', null, $attributes = $errors->has('city') ? array('placeholder' => 'City', 'class' => 'form-control is-invalid') : array('placeholder' => 'City', 'class' => 'form-control')) !!}
                        @if ($errors->has('city'))
                            <span class="invalid-feedback">
                                <strong>{{ $errors->first('city') }}</strong>
                            </span>
                        @endif
                    </div>
                    <div class="col-md-6 mb-4">
                        {!! Form::text('state', null, $attributes = $errors->has('state') ? array('placeholder' => 'State', 'class' => 'form-control is-invalid') : array('placeholder' => 'State', 'class' => 'form-control')) !!}
                        @if ($errors->has('state'))
                            <span class="invalid-feedback">
                                <strong>{{ $errors->first('state') }}</strong>
                            </span>
                        @endif
                    </div>
                    <div class="col-md-6 mb-4">
                        {!! Form::text('zip', null, $attributes = $errors->has('zip') ? array('placeholder' => 'Zip', 'class' => 'form-control is-invalid') : array('placeholder' => 'Zip', 'class' => 'form-control')) !!}
                        @if ($errors->has('zip'))
                            <span class="invalid-feedback">
                                <strong>{{ $errors->first('zip') }}</strong>
                            </span>
                        @endif
                    </div>
                    <div class="col-12 text-right">
                        <button type="submit" class="" name="button">ADD</button>
                    </div>
                </div>
            {!! Form::close() !!}
        </div>
    </div>
@endsection