<div class="form-group row">
    <div class="col-md-12 mb-4">
        {{ Form::select('subscription_type', array('subscription 1' => 'subscription 1', 'subscription 2' => 'subscription 2'), null, ['placeholder' => 'Subscription type', 'class' => 'form-control', 'disabled' => false]) }}
        @if ($errors->has('subscription_type'))
            <span class="invalid-feedback">
                <strong>{{ $errors->first('subscription_type') }}</strong>
            </span>
        @endif
    </div>
    <div class="col-md-6 mb-4">
        <label class="col-form-label">Organization name</label>
        {!! Form::text('organization_name', null, $attributes = $errors->has('organization_name') ? array('placeholder' => '', 'class' => 'form-control is-invalid') : array('placeholder' => '', 'class' => 'form-control')) !!}
        @if ($errors->has('organization_name'))
            <span class="invalid-feedback">
                <strong>{{ $errors->first('organization_name') }}</strong>
            </span>
        @endif
    </div>
    <div class="col-md-6 mb-4">
        <label class="col-form-label">Phone</label>
        {!! Form::text('phone', null, $attributes = $errors->has('phone') ? array('placeholder' => '(xxx) xxx-xxxx', 'class' => 'form-control is-invalid') : array('placeholder' => '(xxx) xxx-xxxx', 'class' => 'form-control')) !!}
        @if ($errors->has('phone'))
            <span class="invalid-feedback">
                <strong>{{ $errors->first('phone') }}</strong>
            </span>
        @endif
    </div>
    <div class="col-md-6 mb-4">
        <label class="col-form-label">Number of Employees</label>
        {!! Form::number('employees', null, $attributes = $errors->has('employees') ? array('placeholder' => '', 'class' => 'form-control is-invalid') : array('placeholder' => '', 'class' => 'form-control')) !!}
        @if ($errors->has('employees'))
            <span class="invalid-feedback">
                <strong>{{ $errors->first('employees') }}</strong>
            </span>
        @endif
    </div>
    <div class="col-md-6 mb-4">
        <label class="col-form-label">Number of Sites</label>
        {!! Form::number('sites', null, $attributes = $errors->has('sites') ? array('placeholder' => '', 'class' => 'form-control is-invalid') : array('placeholder' => '', 'class' => 'form-control')) !!}
        @if ($errors->has('sites'))
            <span class="invalid-feedback">
                <strong>{{ $errors->first('sites') }}</strong>
            </span>
        @endif
    </div>
    <div class="col-md-12 mb-4">
        <label class="col-form-label">Website</label>
        {!! Form::text('website', null, $attributes = $errors->has('website') ? array('placeholder' => '', 'class' => 'form-control is-invalid') : array('placeholder' => '', 'class' => 'form-control')) !!}
        @if ($errors->has('website'))
            <span class="invalid-feedback">
                <strong>{{ $errors->first('website') }}</strong>
            </span>
        @endif
    </div>
    <div class="col-12">
        <label>Address</label>
    </div>
    <div class="col-md-6 mb-4">
        {!! Form::text('street', null, $attributes = $errors->has('street') ? array('placeholder' => 'Street', 'class' => 'form-control is-invalid') : array('placeholder' => 'Street', 'class' => 'form-control')) !!}
        @if ($errors->has('street'))
            <span class="invalid-feedback">
                <strong>{{ $errors->first('street') }}</strong>
            </span>
        @endif
    </div>
    <div class="col-md-6 mb-4">
        {!! Form::text('city', null, $attributes = $errors->has('city') ? array('placeholder' => 'City', 'class' => 'form-control is-invalid') : array('placeholder' => 'City', 'class' => 'form-control')) !!}
        @if ($errors->has('city'))
            <span class="invalid-feedback">
                <strong>{{ $errors->first('city') }}</strong>
            </span>
        @endif
    </div>
    <div class="col-md-6 mb-4">
        {!! Form::text('state', null, $attributes = $errors->has('state') ? array('placeholder' => 'State', 'class' => 'form-control is-invalid') : array('placeholder' => 'State', 'class' => 'form-control')) !!}
        @if ($errors->has('state'))
            <span class="invalid-feedback">
                <strong>{{ $errors->first('state') }}</strong>
            </span>
        @endif
    </div>
    <div class="col-md-6 mb-4">
        {!! Form::text('zip', null, $attributes = $errors->has('zip') ? array('placeholder' => 'Zip', 'class' => 'form-control is-invalid') : array('placeholder' => 'Zip', 'class' => 'form-control')) !!}
        @if ($errors->has('zip'))
            <span class="invalid-feedback">
                <strong>{{ $errors->first('zip') }}</strong>
            </span>
        @endif
    </div>
    <div class="col-12">
        <label>Primary Contact</label>
    </div>
    <div class="col-md-6 mb-4">
        {!! Form::text('primary_contact_lastname', null, $attributes = $errors->has('primary_contact_lastname') ? array('placeholder' => 'Last', 'class' => 'form-control is-invalid') : array('placeholder' => 'Last', 'class' => 'form-control')) !!}
        @if ($errors->has('primary_contact_lastname'))
            <span class="invalid-feedback">
                <strong>{{ $errors->first('primary_contact_lastname') }}</strong>
            </span>
        @endif
    </div>
    <div class="col-md-6 mb-4">
        {!! Form::text('primary_contact_firstname', null, $attributes = $errors->has('primary_contact_firstname') ? array('placeholder' => 'First', 'class' => 'form-control is-invalid') : array('placeholder' => 'First', 'class' => 'form-control')) !!}
        @if ($errors->has('primary_contact_firstname'))
            <span class="invalid-feedback">
                <strong>{{ $errors->first('primary_contact_firstname') }}</strong>
            </span>
        @endif
    </div>
    <div class="col-md-6 mb-4">
        <label class="col-form-label">Email</label>
        {!! Form::email('primary_contact_email', null, $attributes = $errors->has('primary_contact_email') ? array('placeholder' => '', 'class' => 'form-control is-invalid') : array('placeholder' => '', 'class' => 'form-control')) !!}
        @if ($errors->has('primary_contact_email'))
            <span class="invalid-feedback">
                <strong>{{ $errors->first('primary_contact_email') }}</strong>
            </span>
        @endif
    </div>
    <div class="col-md-6 mb-4">
        <label class="col-form-label">Phone</label>
        {!! Form::text('primary_contact_phone', null, $attributes = $errors->has('primary_contact_phone') ? array('placeholder' => '(xxx) xxx-xxxx', 'class' => 'form-control is-invalid') : array('placeholder' => '(xxx) xxx-xxxx', 'class' => 'form-control')) !!}
        @if ($errors->has('primary_contact_phone'))
            <span class="invalid-feedback">
                <strong>{{ $errors->first('primary_contact_phone') }}</strong>
            </span>
        @endif
    </div>
    <div class="col-12">
        <label>Client Admin</label>
    </div>
    <div class="col-md-6 mb-4">
        {!! Form::text('client_admin_lastname', null, $attributes = $errors->has('client_admin_lastname') ? array('placeholder' => 'Last', 'class' => 'form-control is-invalid') : array('placeholder' => 'Last', 'class' => 'form-control')) !!}
        @if ($errors->has('client_admin_lastname'))
            <span class="invalid-feedback">
                <strong>{{ $errors->first('client_admin_lastname') }}</strong>
            </span>
        @endif
    </div>
    <div class="col-md-6 mb-4">
        {!! Form::text('client_admin_firstname', null, $attributes = $errors->has('client_admin_firstname') ? array('placeholder' => 'First', 'class' => 'form-control is-invalid') : array('placeholder' => 'First', 'class' => 'form-control')) !!}
        @if ($errors->has('client_admin_firstname'))
            <span class="invalid-feedback">
                <strong>{{ $errors->first('client_admin_firstname') }}</strong>
            </span>
        @endif
    </div>
    <div class="col-md-6 mb-4">
        <label class="col-form-label">Email</label>
        {!! Form::email('client_admin_email', null, $attributes = $errors->has('client_admin_email') ? array('placeholder' => '', 'class' => 'form-control is-invalid') : array('placeholder' => '', 'class' => 'form-control')) !!}
        @if ($errors->has('client_admin_email'))
            <span class="invalid-feedback">
                <strong>{{ $errors->first('client_admin_email') }}</strong>
            </span>
        @endif
    </div>
    <div class="col-md-6 mb-4">
        <label class="col-form-label">Phone</label>
        {!! Form::text('client_admin_phone', null, $attributes = $errors->has('client_admin_phone') ? array('placeholder' => '(xxx) xxx-xxxx', 'class' => 'form-control is-invalid') : array('placeholder' => '(xxx) xxx-xxxx', 'class' => 'form-control')) !!}
        @if ($errors->has('client_admin_phone'))
            <span class="invalid-feedback">
                <strong>{{ $errors->first('client_admin_phone') }}</strong>
            </span>
        @endif
    </div>
    <div class="col-md-6 mb-4">
        {{ Form::select('standard_id', $standards, null, $errors->has('standard_id') ? ['placeholder' => 'Standard(s)', 'class' => 'form-control is-invalid']: ['placeholder' => 'Standard(s)', 'class' => 'form-control']) }}
        @if ($errors->has('standard_id'))
            <span class="invalid-feedback">
                <strong>{{ $errors->first('standard_id') }}</strong>
            </span>
        @endif
    </div>
    <div class="col-md-6 mb-4">
        {{ Form::select('template_id', $templates, null, $errors->has('template_id') ? ['placeholder' => 'Templates', 'class' => 'form-control is-invalid']: ['placeholder' => 'Templates', 'class' => 'form-control']) }}
        @if ($errors->has('template_id'))
            <span class="invalid-feedback">
                <strong>{{ $errors->first('template_id') }}</strong>
            </span>
        @endif
    </div>
    <div class="col-md-6 mb-4">
        {{ Form::select('consultant_id', $consultants, null, $errors->has('consultant_id') ? ['placeholder' => 'Consultants', 'class' => 'form-control is-invalid']: ['placeholder' => 'Consultants', 'class' => 'form-control']) }}
        @if ($errors->has('consultant_id'))
            <span class="invalid-feedback">
                <strong>{{ $errors->first('consultant_id') }}</strong>
            </span>
        @endif
    </div>
    <div class="col-12">
        <label>FILE UPLOADS</label>
        <div>
            {!! Form::file('files_[]', array('multiple'=> true)) !!}
        </div>
    </div>
    <div class="col-12 text-right">
        <button type="submit" class="" name="button">ADD</button>
    </div>
</div>