@extends('layouts.with-sidebar')

@section('content')
    <div class="row">
        <div class="col-12 mb-4">
            BROWSE ADMINS
        </div>
        <div class="col-12 mb-4">
            {!! Form::open(['route' => 'admins.index', 'method' => 'GET', 'disabled' => false]) !!}
                <div class="row">
                    <div class="col-md-6">
                        <input type="text" class="form-control" placeholder="Admin" name="admin_name" value="{{ empty($_GET['admin_name']) ? '' : $_GET['admin_name']}}">
                    </div>
                    <div class="col-md-6">
                        <button class="" type="submit">Search</button>
                    </div>
                </div>               
            {!! Form::close() !!}
        </div>
        <div class="col-12 mb-4">
            @if ($message = Session::get('success'))
                <div class="alert alert-success">
                    {{ $message }}
                </div>
            @endif
            <table class="table list">
                <tr class="header">
                    <th>Admin</th>
                    <th>Control</th>
                </tr>
                @foreach ($admins as $admin)
                    <tr>
                        <td>
                            @if (Auth::user()->role_id == 1)
                                <!-- <a href="{{ route('admins.show', $admin->id) }}"> -->
                            @endif

                            {{ $admin->name }}
                            
                            @if (Auth::user()->role_id == 1)
                                <!-- </a> -->
                            @endif
                        </td>
                        <td class="control">
                            @if (Auth::user()->role_id == 1)
                                <a href="{{ route('admins.edit', $admin->id) }}" class="text-center">
                                    <i class="far fa-edit"></i>
                                    <div class="text-center">Edit</div>
                                </a>
                            @endif         
                        </td>
                    </tr>
                @endforeach
            </table>
        </div>
    </div>
@endsection