@extends('layouts.with-sidebar')

@section('content')
    <div class="row">
        <div class="col-12 mb-4">
            BROWSE CLIENTS
        </div>
        <div class="col-12 mb-4">
            {!! Form::open(['route' => 'clients.index', 'method' => 'GET', 'disabled' => false]) !!}
                <div class="row">
                    <div class="col-md-6">
                        <input type="text" class="form-control" placeholder="Client" name="client_name" value="{{ empty($_GET['client_name']) ? '' : $_GET['client_name']}}">
                    </div>
                    <div class="col-md-6">
                        <button class="" type="submit">Search</button>
                    </div>
                </div>               
            {!! Form::close() !!}
        </div>
        <div class="col-12 mb-4">
            @if ($message = Session::get('success'))
                <div class="alert alert-success">
                    {{ $message }}
                </div>
            @endif
            <table class="table list">
                <tr class="header">
                    <th>Client</th>
                    <th>Control</th>
                    <th>Projects</th>
                    <th>Consultants</th>
                </tr>
                @foreach ($clients as $client)
                    <tr>
                        <td>
                            @if (Auth::user()->role_id == 1)
                                <!-- <a href="{{ route('clients.show', $client->id) }}"> -->
                            @endif

                            {{ $client->organization_name }}
                            
                            @if (Auth::user()->role_id == 1)
                                <!-- </a> -->
                            @endif
                        </td>
                        <td class="control">
                            <a href="{{ route('clients.assign', $client->id) }}" class="text-center">
                                @if ($client->assign == "no")
                                    <i class="far fa-check-square"></i>
                                    <div class="text-center">Assign</div>
                                @else
                                    <i class="fas fa-check-square"></i>
                                    <div class="text-center">Unassign</div>
                                @endif
                            </a>

                            @if (Auth::user()->role_id == 1)
                                <a href="{{ route('clients.edit', $client->id) }}" class="text-center">
                                    <i class="far fa-edit"></i>
                                    <div class="text-center">Edit</div>
                                </a>
                            @endif

                            <a href="#" data-toggle="modal" data-target="#assign_consultant_{{$client->id}}" class="text-center">
                                <i class="fas fa-users"></i>
                                <div class="text-center">Assign consultant</div>
                            </a>
                            <div class="modal" id="assign_consultant_{{$client->id}}">
                                <div class="modal-dialog">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h4 class="modal-title">Assign consultant</h4>
                                            <button type="button" class="close" data-dismiss="modal">&times;</button>
                                        </div>
                                        <div class="modal-body">
                                            {!! Form::open(array('route' => ['assign_consultant', $client->id],'enctype' => 'multipart/form-data')) !!}
                                                <div class="">
                                                    
                                                </div>
                                                <div class="text-right">
                                                    <button type="submit" class="">Assign</button>
                                                </div>
                                            {!! Form::close() !!}
                                        </div>
                                    </div>
                                </div>
                            </div>           
                        </td>
                        <td>
                            @if (!empty($client->project_id))
                                @if (Auth::user()->role_id == 1)
                                    <!-- <a href="{{ route('projects.show', $client->project_id) }}"> -->
                                @endif

                                {{ $client->project_name }}
                                
                                @if (Auth::user()->role_id == 1)
                                    <!-- </a> -->
                                @endif
                            @endif
                        </td>
                        <td>
                            @if (!empty($client->consultant_id))
                                @if (Auth::user()->role_id == 1)
                                    <!-- <a href="{{ route('clients.show', $client->consultant_id) }}"> -->
                                @endif

                                {{ $client->consultant_firstname.' '.$client->consultant_lastname }}
                                
                                @if (Auth::user()->role_id == 1)
                                    <!-- </a> -->
                                @endif
                            @endif
                        </td>
                    </tr>
                @endforeach
            </table>
        </div>
    </div>
@endsection