@extends('layouts.with-sidebar')

@section('content')
    <div class="row">
        <div class="col-12 mb-4">
            EDIT CONSULTANT
        </div>
        <div class="col-12 mb-4">
            {!! Form::model($consultant[0], ['method' => 'PATCH', 'route' => ['consultants.update', $consultant[0]->id], 'disabled' => false, 'enctype' => 'multipart/form-data']) !!}
                <?php $primary_contact_lastname = $consultant[0]->primary_contact_lastname; ?>
                <div class="form-group row">
                    <div class="col-12">
                        <label>Primary Contact</label>
                    </div>
                    <div class="col-md-6 mb-4">
                        {!! Form::text('lastname', $primary_contact_lastname, $attributes = $errors->has('lastname') ? array('placeholder' => 'Last', 'class' => 'form-control is-invalid') : array('placeholder' => 'Last', 'class' => 'form-control')) !!}
                        @if ($errors->has('lastname'))
                            <span class="invalid-feedback">
                                <strong>{{ $errors->first('lastname') }}</strong>
                            </span>
                        @endif
                    </div>
                    <div class="col-md-6 mb-4">
                        {!! Form::text('firstname', $consultant[0]->primary_contact_firstname, $attributes = $errors->has('firstname') ? array('placeholder' => 'First', 'class' => 'form-control is-invalid') : array('placeholder' => 'First', 'class' => 'form-control')) !!}
                        @if ($errors->has('firstname'))
                            <span class="invalid-feedback">
                                <strong>{{ $errors->first('firstname') }}</strong>
                            </span>
                        @endif
                    </div>
                    <div class="col-md-6 mb-4">
                        <label class="col-form-label">Email</label>
                        {!! Form::email('email', $consultant[0]->primary_contact_email, $attributes = $errors->has('email') ? array('placeholder' => '', 'class' => 'form-control is-invalid') : array('placeholder' => '', 'class' => 'form-control')) !!}
                        @if ($errors->has('email'))
                            <span class="invalid-feedback">
                                <strong>{{ $errors->first('email') }}</strong>
                            </span>
                        @endif
                    </div>
                    <div class="col-md-6 mb-4">
                        <label class="col-form-label">Phone</label>
                        {!! Form::text('phone', $consultant[0]->primary_contact_phone, $attributes = $errors->has('phone') ? array('placeholder' => '(xxx) xxx-xxxx', 'class' => 'form-control is-invalid') : array('placeholder' => '(xxx) xxx-xxxx', 'class' => 'form-control')) !!}
                        @if ($errors->has('phone'))
                            <span class="invalid-feedback">
                                <strong>{{ $errors->first('phone') }}</strong>
                            </span>
                        @endif
                    </div>
                    <div class="col-md-12 mb-4">
                        <label class="col-form-label">Website</label>
                        {!! Form::text('website', null, $attributes = $errors->has('website') ? array('placeholder' => '', 'class' => 'form-control is-invalid') : array('placeholder' => '', 'class' => 'form-control')) !!}
                        @if ($errors->has('website'))
                            <span class="invalid-feedback">
                                <strong>{{ $errors->first('website') }}</strong>
                            </span>
                        @endif
                    </div>
                    <div class="col-12">
                        <label>Address</label>
                    </div>
                    <div class="col-md-6 mb-4">
                        {!! Form::text('street', null, $attributes = $errors->has('street') ? array('placeholder' => 'Street', 'class' => 'form-control is-invalid') : array('placeholder' => 'Street', 'class' => 'form-control')) !!}
                        @if ($errors->has('street'))
                            <span class="invalid-feedback">
                                <strong>{{ $errors->first('street') }}</strong>
                            </span>
                        @endif
                    </div>
                    <div class="col-md-6 mb-4">
                        {!! Form::text('city', null, $attributes = $errors->has('city') ? array('placeholder' => 'City', 'class' => 'form-control is-invalid') : array('placeholder' => 'City', 'class' => 'form-control')) !!}
                        @if ($errors->has('city'))
                            <span class="invalid-feedback">
                                <strong>{{ $errors->first('city') }}</strong>
                            </span>
                        @endif
                    </div>
                    <div class="col-md-6 mb-4">
                        {!! Form::text('state', null, $attributes = $errors->has('state') ? array('placeholder' => 'State', 'class' => 'form-control is-invalid') : array('placeholder' => 'State', 'class' => 'form-control')) !!}
                        @if ($errors->has('state'))
                            <span class="invalid-feedback">
                                <strong>{{ $errors->first('state') }}</strong>
                            </span>
                        @endif
                    </div>
                    <div class="col-md-6 mb-4">
                        {!! Form::text('zip', null, $attributes = $errors->has('zip') ? array('placeholder' => 'Zip', 'class' => 'form-control is-invalid') : array('placeholder' => 'Zip', 'class' => 'form-control')) !!}
                        @if ($errors->has('zip'))
                            <span class="invalid-feedback">
                                <strong>{{ $errors->first('zip') }}</strong>
                            </span>
                        @endif
                    </div>
                    <div class="col-md-6 mb-4">
                        {{ Form::select('standard_id', $standards, null, $errors->has('standard_id') ? ['placeholder' => 'Standard(s)', 'class' => 'form-control is-invalid']: ['placeholder' => 'Standard(s)', 'class' => 'form-control']) }}
                        @if ($errors->has('standard_id'))
                            <span class="invalid-feedback">
                                <strong>{{ $errors->first('standard_id') }}</strong>
                            </span>
                        @endif
                    </div>
                    <div class="col-md-6 mb-4">
                        {{ Form::select('seniority', array('seniority 1' => 'seniority 1', 'seniority 2' => 'seniority 2'), null, ['placeholder' => 'Seniority', 'class' => 'form-control', 'disabled' => false]) }}
                        @if ($errors->has('seniority'))
                            <span class="invalid-feedback">
                                <strong>{{ $errors->first('seniority') }}</strong>
                            </span>
                        @endif
                    </div>
                    <div class="col-12">
                        <label>FILE UPLOADS</label>
                    </div>
                    <div class="col-md-6 mb-4">
                        <label>W9</label>
                        <div>
                            {!! Form::file('files_w9[]', array('multiple'=> true)) !!}
                        </div>
                    </div>
                    <div class="col-md-6 mb-4">
                        <label>Certificate</label>
                        <div>
                            {!! Form::file('files_certificate[]', array('multiple'=> true)) !!}
                        </div>
                    </div>
                    <div class="col-md-6 mb-4">
                        <label>Contract</label>
                        <div>
                            {!! Form::file('files_contract[]', array('multiple'=> true)) !!}
                        </div>
                    </div>
                    <div class="col-md-6 mb-4">
                        <label>Other</label>
                        <div>
                            {!! Form::file('files_other[]', array('multiple'=> true)) !!}
                        </div>
                    </div>
                    <div class="col-12">
                        <label>Permissions</label>
                        <div class="form-check form-check-block">
                            {!! Form::radio('permissions', 'type 1', true, array('class' => 'form-check-input', 'type' => 'radio')) !!}
                            <label class="form-check-label">Type 1</label>
                        </div>
                        <div class="form-check form-check-block">
                            {!! Form::radio('permissions', 'type 2', false, array('class' => 'form-check-input', 'type' => 'radio')) !!}
                            <label class="form-check-label">Type 2</label>
                        </div>
                        <div class="form-check form-check-block">
                            {!! Form::radio('permissions', 'type 3', false, array('class' => 'form-check-input', 'type' => 'radio')) !!}
                            <label class="form-check-label">Type 3</label>
                        </div>
                        <div class="form-check form-check-block">
                            {!! Form::radio('permissions', 'type 4', false, array('class' => 'form-check-input', 'type' => 'radio')) !!}
                            <label class="form-check-label">Type 4</label>
                        </div>
                    </div>
                    <div class="col-12 mt-4 mb-4">
                        <a href="{{ $change_password_url }}" >
                            Change password
            			</a>
                    </div>
                    <div class="col-12 text-right">
                        <button type="submit" class="" name="button">EDIT</button>
                    </div>
                </div>
            {!! Form::close() !!}
        </div>
    </div>
@endsection