@extends( (Auth::user()->role_id == 1) ? 'layouts.admin' : 'layouts.user')

@section('content')
    <div class="container">
        <div class="row">
            <div class="col-12 mb-2 mt-5">
                <h4>
                    {{$task[0]->short_description}}
                </h4>

                @if (Auth::user()->role_id == 1)
                    <a href="{{ route('tasks.edit', $task[0]->id) }}" title="Edit">
                        <i class="fa fa-edit"></i>
                    </a>
                @endif

                <a href="#" data-toggle="modal" data-target="#task_upload_{{$task[0]->id}}">
                    <i class="fa fa-upload" title="File upload"></i>
                </a>
                <div class="modal" id="task_upload_{{$task[0]->id}}">
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h4 class="modal-title">Upload</h4>
                                <button type="button" class="close" data-dismiss="modal">&times;</button>
                            </div>
                            <div class="modal-body">
                                {!! Form::open(array('route' => ['taskFileUpload', $task[0]->id],'enctype' => 'multipart/form-data')) !!}
                                    <div class="">
                                        {!! Form::file('files[]', array('multiple'=> true)) !!}
                                    </div>
                                    <div class="text-right">
                                        <button type="submit" class="btn btn-primary">Upload</button>
                                    </div>
                                {!! Form::close() !!}
                            </div>
                        </div>
                    </div>
                </div>

                <a href="#" data-toggle="modal" data-target="#task_download_{{$task[0]->id}}">
                    <i class="fa fa-download" title="File download"></i>
                </a>
                <div class="modal" id="task_download_{{$task[0]->id}}">
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h4 class="modal-title">Download</h4>
                                <button type="button" class="close" data-dismiss="modal">&times;</button>
                            </div>
                            <div class="modal-body">
                                <?php
                                    $task_files = (explode(",", $task[0]->files));
                                ?>
                                @if ($task_files && $task_files[0])
                                    @foreach ($task_files as $task_file)
                                        <a href="/uploads/tasks/{!! $task[0]->id.'/'.$task_file !!}" download>
                                            <p style="color: #007bff">{!! $task_file !!}</p>
                                        </a>
                                    @endforeach
                                @else
                                    <p>No files available for download</p>
                                @endif
                            </div>
                        </div>
                    </div>
                </div>

                <a href="{{ route('tasks.done', $task[0]->id) }}">
                    @if ($task[0]->done == "no")
                        <i class="fa fa-check-circle" title="Done Task" style="color: gray;"></i>
                    @else
                        <i class="fa fa-check-circle" title="Undone Task"></i>
                    @endif
                </a>

                <a href="{{ route('tasks.acknowledge', $task[0]->id) }}">
                    @if ($task[0]->acknowledge == "no")
                        <i class="fas fa-eye" title="Acknowledge Task" style="color: gray;"></i>
                    @else
                        <i class="fas fa-eye" title="Unacknowledge Task"></i>
                    @endif
                </a>   
            </div>
            <div class="col-12 mb-2">
                <div>
                    Client: {{ $task[0]->client_name }}
                </div>
                <div>
                    User: {{ $task[0]->user_firstname.' '.$task[0]->user_lastname }}
                </div>
            	<div>
                    Deadline: {{$task[0]->deadline}}
                </div>
                <div>
                    Importance: {{ $task[0]->importance }}
                </div>
                <div>
                    <div class="card card-default mt-2">
                        <div class="card-header">Recurring</div>
                        <div class="card-body">
                            <div>
                                @if ($task[0]->recurring == "0")
                                    One time
                                @elseif ($task[0]->recurring == "1")
                                    Recurring
                                @endif
                            </div>
                            <div>
                                Frequency: <?php echo str_replace("-", " ", $task[0]->frequency); ?>
                            </div>
                            <div>
                                Every (day or month): {{ $task[0]->every_day_month }}
                            </div>
                            <div>
                                Every weekday: <?php echo strtoupper($task[0]->every_weekday); ?>
                            </div>
                            <div>
                                How many days from the task creation day is the deadline: {{ $task[0]->deadline_from_creation_day }}
                            </div>
                        </div>               
                    </div>
                </div>
            </div>            

            @if ($task[0]->description)
                <div class="col-12 mb-4">
                    DESCRIPTION:
                    <div>
                        <?php echo $task[0]->description; ?>
                    </div>
                </div>
            @endif
            
            <div class="col-12 mb-4">
            	<?php $id = $task[0]->id; ?>
            	@include('comments.add')
            	@if (isset($comments) && (!empty($comments)))
            		@include('comments.show')
            	@endif
            </div>
        </div>
    </div>

@endsection