@extends('layouts.with-sidebar')

@section('content')
    <div class="row">
        <div class="col-12 mb-4">
            BROWSE PROJECTS
        </div>
        <div class="col-12 mb-4">
            {!! Form::open(['route' => 'projects.index', 'method' => 'GET', 'disabled' => false]) !!}
                <div class="row">
                    <div class="col-md-6">
                        <input type="text" class="form-control" placeholder="Project" name="project_name" value="{{ empty($_GET['project_name']) ? '' : $_GET['project_name']}}">
                    </div>
                    <div class="col-md-6">
                        <button class="" type="submit">Search</button>
                    </div>
                </div>               
            {!! Form::close() !!}
        </div>
        <div class="col-12 mb-4">
            @if ($message = Session::get('success'))
                <div class="alert alert-success">
                    {{ $message }}
                </div>
            @endif
            <table class="table list">
                <tr class="header">
					<th>Project Name</th>
					<th>ISO</th>
                    <th>Controls</th>
                    <th>Client</th>
                    <th>Cconsultant</th>
                </tr>
                @foreach ($projects as $project)
                    <tr>
                        <td>
                            @if (Auth::user()->role_id == 1)
                                <!-- <a href="{{ route('projects.show', $project->id) }}"> -->
                            @endif

                            {{ $project->name }}
                            
                            @if (Auth::user()->role_id == 1)
                                <!-- </a> -->
                            @endif
                        </td>
                        <td>
                            {{ $project->iso }}
                        </td>
                        <td class="control">
                            @if (Auth::user()->role_id == 1)
                                <a href="{{ route('projects.edit', $project->id) }}" class="text-center">
                                    <i class="far fa-edit"></i>
                                    <div class="text-center">Edit</div>
                                </a>
                            @endif

                            <a href="#" data-toggle="modal" data-target="#assign_client_{{$project->id}}" class="text-center">
                                <i class="fas fa-users"></i>
                                <div class="text-center">Assign client</div>
                            </a>
                            <div class="modal" id="assign_client_{{$project->id}}">
                                <div class="modal-dialog">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h4 class="modal-title">Assign client</h4>
                                            <button type="button" class="close" data-dismiss="modal">&times;</button>
                                        </div>
                                        <div class="modal-body">
                                            {!! Form::open(array('route' => ['assign_client', $project->id],'enctype' => 'multipart/form-data')) !!}
                                                <div class="">
                                                    
                                                </div>
                                                <div class="text-right">
                                                    <button type="submit" class="">Assign</button>
                                                </div>
                                            {!! Form::close() !!}
                                        </div>
                                    </div>
                                </div>
                            </div>           
                        </td>
                        <td>
                            @if (!empty($project->client_id))
                                @if (Auth::user()->role_id == 1)
                                    <!-- <a href="{{ route('projects.show', $project->client_id) }}"> -->
                                @endif

                                {{ $project->client_organization_name }}
                                
                                @if (Auth::user()->role_id == 1)
                                    <!-- </a> -->
                                @endif
                            @endif
                        </td>
                        <td>
                            @if (!empty($project->consultant_id))
                                @if (Auth::user()->role_id == 1)
                                    <!-- <a href="{{ route('projects.show', $project->consultant_id) }}"> -->
                                @endif

                                {{ $project->consultant_firstname.' '.$project->consultant_lastname }}
                                
                                @if (Auth::user()->role_id == 1)
                                    <!-- </a> -->
                                @endif
                            @endif
                        </td>
                    </tr>
                @endforeach
            </table>
        </div>
    </div>
@endsection