@extends( (Auth::user()->role_id == 1) ? 'layouts.admin' : 'layouts.user')

@section('content')
    <div class="container">
        <div class="row">
            <div class="col-12 mb-2 mt-5">
                <h4>
                    {{$client[0]->name}}
                </h4>

                @if (Auth::user()->role_id == 1)
                    <a href="{{ route('clients.edit', $client[0]->id) }}" title="Edit">
        				<i class="fa fa-edit"></i>
        			</a>
        			<a href="{{ route('tasks.index').'?client='.$client[0]->id }}" title="Tasks">
        				<i class="fas fa-list-ul"></i>
        			</a>
                @endif
            </div>
            <div class="col-12 mb-2">
                <div>
                    Folder: {{ $client[0]->folder }}
                </div>
                <div>
                    Status: {{ $client[0]->status }}
                </div>
            </div>
            <div class="col-12 mb-2 addresses">
            	<?php $address_counter = 0; ?>
            	@foreach ($addresses as $address)
            		<?php $address_counter++; ?>
            		<div class="address card mb-4">
                        <div class="card-header">
                            Address {{ $address_counter }}
                        </div>
                        <div class="card-body">
		            		<div>
			                    Street address: {{$address->street_address}}
			                </div>
			                <div>
			                    Address line 2: {{ $address->address_line_2 }}
			                </div>
			                <div>
			                    City: {{ $address->city }}
			                </div>
			                <div>
			                    State: {{ $address->state }}
			                </div>
			                <div>
			                    ZIP code: {{ $address->zip_code }}
			                </div>
			           	</div>
		            </div>
		        @endforeach
		    </div>
		    <div class="col-12 mb-2 reminders">
            	<?php $reminder_counter = 0; ?>
            	@foreach ($reminders as $reminder)


            		<?php 
            		// if ( $reminder->frequency ) {
              //       $frequency_array = explode(" ", $reminder->frequency);
              //       if ( $frequency_array[1] > 1 ) {
              //           $months_counter = $frequency_array[1];
              //       }
              //       else {
              //           $months_counter = 1;
              //       }
              //   }

              //   $diff_between_today_and_created_at_days = (new DateTime(date("Y-m-d")))->diff(new DateTime($reminder->date))->days;
              //   echo date("Y-m-d H-i-s")."---".$months_counter."---".$diff_between_today_and_created_at_days."---";
      

            		$reminder_counter++; ?>
            		<div class="reminder card mb-4">
                        <div class="card-header">
                            Reminder {{ $reminder_counter }}
                        </div>
                        <div class="card-body">
		            		<div>
			                    Text to remind: {{$reminder->text_to_remind}}
			                </div>
			                <div>
			                    Date: {{ $reminder->date }}
			                </div>
			                <div>
                                Frequency: {{ $reminder->frequency }}
                            </div>
                            <div>
			                    <?php if ( $reminder->recurring == 0 ) {
                                    echo "One time";
                                }
                                elseif ( $reminder->recurring == 1 ) {
                                    echo "Recurring";
                                } ?>
			                </div>
			                
			                <div>
			                    To do: 
			                    @if ($reminder->to_do == 0)
									Send email only
				        		@else
									Create a task
				                @endif
			                </div>
			                @if ($reminder->to_do == 0)
			                	<div>
			                    	Who should get this reminder?
			                    	<br>
			                    	Emails: {{ str_replace(',', ', ', $reminder->emails_to_send) }}
			                	</div>
				            @endif
			                @if ($reminder->to_do == 1)
			                	<div>
			                    	User: 
			                    	<?php
										$get_user_names_by_id = new App\Http\Controllers\ClientsController;
										echo $get_user_names_by_id->get_user_names_by_id($reminder->task_user);
									?>
			                	</div>
			                	<div>
			                    	Short description: {{ $reminder->task_short_description }}
			                	</div>
			                	<div>
			                    	Deadline: {{ $reminder->task_deadline }}
			                	</div>
			                	<div>
			                    	Importance: {{ $reminder->task_importance }}
			                	</div>
				            @endif
			           	</div>
		            </div>
		        @endforeach
		    </div>            
        </div>
    </div>
@endsection