<div class="form-group row">
    <div class="col-md-6 mb-4">
        <label for="firstname" class="col-form-label">First name</label>
        {!! Form::text('firstname', null, $attributes = $errors->has('firstname') ? array('placeholder' => 'First name', 'class' => 'form-control is-invalid') : array('placeholder' => 'First name', 'class' => 'form-control')) !!}
        @if ($errors->has('firstname'))
            <span class="invalid-feedback">
                <strong>{{ $errors->first('firstname') }}</strong>
            </span>
        @endif
    </div>
    <div class="col-md-6 mb-4">
        <label for="lastname" class="col-form-label">Last name</label>
        {!! Form::text('lastname', null, $attributes = $errors->has('lastname') ? array('placeholder' => 'Last name', 'class' => 'form-control is-invalid') : array('placeholder' => 'Last name', 'class' => 'form-control')) !!}
        @if ($errors->has('lastname'))
            <span class="invalid-feedback">
                <strong>{{ $errors->first('lastname') }}</strong>
            </span>
        @endif
    </div>
    <div class="col-md-6 mb-4">
        <label for="email" class="col-form-label">E-Mail address</label>
        {!! Form::email('email', null, $attributes = $errors->has('email') ? array('placeholder' => 'Email', 'class' => 'form-control is-invalid') : array('placeholder' => 'Email', 'class' => 'form-control')) !!}
        @if ($errors->has('email'))
            <span class="invalid-feedback">
                <strong>{{ $errors->first('email') }}</strong>
            </span>
        @endif
    </div>
    <div class="col-md-6 mb-4">
        <label for="role" class="col-form-label">Role</label>
        {{ Form::select('role_id', $roles, null, $errors->has('role_id') ? array('placeholder' => 'Select role', 'class' => 'form-control is-invalid') : array('placeholder' => 'Select role', 'class' => 'form-control')) }}
        @if ($errors->has('role_id'))
            <span class="invalid-feedback">
                <strong>{{ $errors->first('role_id') }}</strong>
            </span>
        @endif
    </div>
    <div class="col-md-6 mb-4">
        <label for="password" class="col-form-label">Password</label>
        {!! Form::password('password', $attributes = $errors->has('password') ? array('placeholder' => 'Password', 'class' => 'form-control is-invalid') : array('placeholder' => 'Password', 'class' => 'form-control', 'required')) !!}
        @if ($errors->has('password'))
            <span class="invalid-feedback">
                <strong>{{ $errors->first('password') }}</strong>
            </span>
        @endif
    </div>
    <div class="col-md-6 mb-4">
        <label for="password-confirm" class="col-form-label">Confirm password</label>
        {!! Form::password('password_confirmation', ['class' => 'form-control', 'id' => 'password-confirm', 'placeholder' => 'Confirm password', 'required']) !!}
    </div>
    <div class="col-6">
        <!-- <a class="btn btn-xs btn-success" href="{{ route('users.index') }}">All users</a> -->
    </div>
    <div class="col-6 text-right">
        <button type="submit" class="btn btn-xs btn-primary" name="button">Submit</button>
    </div>
</div>