@extends( (Auth::user()->role_id == 1) ? 'layouts.admin' : 'layouts.user')

@section('content')
    <div class="container">
        <div class="row">
            <div class="col-lg-12 mt-4">
                <h3>Users list</h3>
            </div>
            <!-- <div class="col-lg-12 text-right mb-4">
                <a class="btn btn-xs btn-success" href="{{ route('users.create')}}">Create new user</a>
            </div> -->
        </div>
        @if ($message = Session::get('success'))
            <div class="alert alert-success">
                {{ $message }}
            </div>
        @endif
        <table class="list">
        	<tr class="header">
	            <th>Firstname</th>
	            <th>Lastname</th>
	            <th>Email</th>
	            <th>Role</th>
	            <th>Controls</th>
	        </tr>
	        @foreach ($users as $user)
	        	<tr>
	        		<td>{{ $user->firstname }}</td>
	        		<td>{{ $user->lastname }}</td>
	        		<td>{{ $user->email }}</td>
	        		<td>{{ $user->role }}</td>
	        		<td class="controls">
	        			<!-- <a class="btn btn-xs btn-info" href="{{ route('users.show', $user->id) }}">Show</a> -->
	        			<a href="{{ route('users.edit', $user->id) }}" title="Edit">
	        				<i class="fa fa-edit"></i>
	        			</a>
	        			<a href="{{ route('users.change_password', $user->id) }}" title="Change password">
	        				<i class="fas fa-user-lock"></i>
	        			</a>
	        			<a href="{{ route('tasks.index').'?user='.$user->id }}" title="Tasks">
	        				<i class="fas fa-list-ul"></i>
	        			</a>
	        			
	        			<!-- {!! Form::open(['method' => 'DELETE', 'route' => ['users.destroy', $user->id], 'style'=> 'display:inline']) !!} -->
	        				<!-- {!! Form::submit('Delete',['class'=> 'btn btn-xs btn-danger']) !!} -->
	        				<!-- <input type="submit" value="&#xf1f8" class="fa fa-trash"> -->
	        			<!-- {!! Form::close() !!} -->
	        		</td>
	        	</tr>
	        @endforeach
        </table>
    </div>
@endsection