<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// Route::get('/', function () {
//     return view('dashboard/admin');
// });

Route::get('/', 'HomeController@index');

Route::get('logout', 'Auth\LoginController@logout')->name('logout');

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');


/*--------- Users ---------*/
Route::resource('users','UsersController');
Route::get('users/{role_id}/{id}/change_password', 'UsersController@change_password')->name('users.change_password');
Route::post('users/{role_id}/{id}/update_password', 'UsersController@update_password')->name('users.update_password');
Route::get('users/edit_account', 'UsersController@edit_account')->name('users.edit_account');
Route::patch('users/{id}/update_account', 'UsersController@update_account')->name('users.update_account');

/*--------- Admins ---------*/
Route::resource('admins','AdminsController');
Route::post('admins/create', 'AdminsController@create')->name('admins.create');

/*--------- Consultants ---------*/
Route::resource('consultants','ConsultantsController');
Route::post('consultants/create', 'ConsultantsController@create')->name('consultants.create');
Route::post('consultants/store', 'ConsultantsController@store')->name('consultants.store');
Route::get('consultants/{id}', 'ConsultantsController@show');
Route::get('consultants/{id}/edit', 'ConsultantsController@edit');
Route::get('consultants/{id}/assign', 'ConsultantsController@assign')->name('consultants.assign');
Route::post('assign_consultant/{id}', ['as'=>'assign_consultant','uses'=>'ConsultantsController@assign_consultant']);

/*--------- Clients ---------*/
Route::resource('clients','ClientsController');
Route::post('clients/create', 'ClientsController@create')->name('clients.create');
Route::get('clients/{id}/assign', 'ClientsController@assign')->name('clients.assign');
Route::post('assign_client/{id}', ['as'=>'assign_client','uses'=>'ClientsController@assign_client']);

/*--------- Projects ---------*/
Route::resource('projects','ProjectsController');
Route::post('projects/create', 'ProjectsController@create')->name('projects.create');
Route::get('projects/{id}', 'ProjectsController@show');
Route::get('projects/{id}/edit', 'ProjectsController@edit');

// /*--------- Tasks ---------*/
// Route::resource('tasks','TasksController');
// Route::post('tasks/create', 'TasksController@create')->name('tasks.create');
// Route::post('tasks/store', 'TasksController@store')->name('tasks.store');
// Route::get('tasks/{id}', 'TasksController@show');
// Route::get('tasks/{id}/edit', 'TasksController@edit');
// Route::get('tasks/{id}/done', 'TasksController@done')->name('tasks.done');
// Route::get('tasks/{id}/acknowledge', 'TasksController@acknowledge')->name('tasks.acknowledge');
// Route::post('tasks/{id}/add_comment', 'TasksController@add_comment')->name('tasks.add_comment');
// Route::get('tasks/{id}/close_comment{comment_id}', 'TasksController@close_comment')->name('tasks.close_comment');
// Route::post('taskFileUpload/{id}', ['as'=>'taskFileUpload','uses'=>'TasksController@taskFileUpload']);

// Route::post('tasks/{id}/commentFileUpload', 'TasksController@commentFileUpload');
// Route::post('tasks/{id}/commentFileBrowser', 'TasksController@commentFileBrowser');

// Route::post('tasks/{id}/descriptionFileUpload', 'TasksController@descriptionFileUpload');
// Route::post('tasks/{id}/descriptionFileBrowser', 'TasksController@descriptionFileBrowser');

// /*--------- Comments ---------*/
// Route::resource('comments','CommentsController');