<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="col-12 mb-4">
            ADD CONSULTANT
        </div>
        <?php if($message = Session::get('success')): ?>
                <div class="alert alert-success">
                    <?php echo e($message); ?>

                </div>
            <?php endif; ?>
        <div class="col-12 mb-4">
            <?php echo Form::open(['route' => 'consultants.store', 'method' => 'POST', 'disabled' => false, 'enctype' => 'multipart/form-data', 'files' => true]); ?>

                <div class="form-group row">
                    <div class="col-12">
                        <label>Primary Contact</label>
                    </div>
                    <div class="col-md-6 mb-4">
                        <?php echo Form::text('lastname', null, $attributes = $errors->has('lastname') ? array('placeholder' => 'Last', 'class' => 'form-control is-invalid') : array('placeholder' => 'Last', 'class' => 'form-control')); ?>

                        <?php if($errors->has('lastname')): ?>
                            <span class="invalid-feedback">
                                <strong><?php echo e($errors->first('lastname')); ?></strong>
                            </span>
                        <?php endif; ?>
                    </div>
                    <div class="col-md-6 mb-4">
                        <?php echo Form::text('firstname', null, $attributes = $errors->has('firstname') ? array('placeholder' => 'First', 'class' => 'form-control is-invalid') : array('placeholder' => 'First', 'class' => 'form-control')); ?>

                        <?php if($errors->has('firstname')): ?>
                            <span class="invalid-feedback">
                                <strong><?php echo e($errors->first('firstname')); ?></strong>
                            </span>
                        <?php endif; ?>
                    </div>
                    <div class="col-md-6 mb-4">
                        <label class="col-form-label">Email</label>
                        <?php echo Form::email('email', null, $attributes = $errors->has('email') ? array('placeholder' => '', 'class' => 'form-control is-invalid') : array('placeholder' => '', 'class' => 'form-control')); ?>

                        <?php if($errors->has('email')): ?>
                            <span class="invalid-feedback">
                                <strong><?php echo e($errors->first('email')); ?></strong>
                            </span>
                        <?php endif; ?>
                    </div>
                    <div class="col-md-6 mb-4">
                        <label class="col-form-label">Phone</label>
                        <?php echo Form::text('phone', null, $attributes = $errors->has('phone') ? array('placeholder' => '(xxx) xxx-xxxx', 'class' => 'form-control is-invalid') : array('placeholder' => '(xxx) xxx-xxxx', 'class' => 'form-control')); ?>

                        <?php if($errors->has('phone')): ?>
                            <span class="invalid-feedback">
                                <strong><?php echo e($errors->first('phone')); ?></strong>
                            </span>
                        <?php endif; ?>
                    </div>
                    <div class="col-md-12 mb-4">
                        <label class="col-form-label">Website</label>
                        <?php echo Form::text('website', null, $attributes = $errors->has('website') ? array('placeholder' => '', 'class' => 'form-control is-invalid') : array('placeholder' => '', 'class' => 'form-control')); ?>

                        <?php if($errors->has('website')): ?>
                            <span class="invalid-feedback">
                                <strong><?php echo e($errors->first('website')); ?></strong>
                            </span>
                        <?php endif; ?>
                    </div>
                    <div class="col-12">
                        <label>Address</label>
                    </div>
                    <div class="col-md-6 mb-4">
                        <?php echo Form::text('street', null, $attributes = $errors->has('street') ? array('placeholder' => 'Street', 'class' => 'form-control is-invalid') : array('placeholder' => 'Street', 'class' => 'form-control')); ?>

                        <?php if($errors->has('street')): ?>
                            <span class="invalid-feedback">
                                <strong><?php echo e($errors->first('street')); ?></strong>
                            </span>
                        <?php endif; ?>
                    </div>
                    <div class="col-md-6 mb-4">
                        <?php echo Form::text('city', null, $attributes = $errors->has('city') ? array('placeholder' => 'City', 'class' => 'form-control is-invalid') : array('placeholder' => 'City', 'class' => 'form-control')); ?>

                        <?php if($errors->has('city')): ?>
                            <span class="invalid-feedback">
                                <strong><?php echo e($errors->first('city')); ?></strong>
                            </span>
                        <?php endif; ?>
                    </div>
                    <div class="col-md-6 mb-4">
                        <?php echo Form::text('state', null, $attributes = $errors->has('state') ? array('placeholder' => 'State', 'class' => 'form-control is-invalid') : array('placeholder' => 'State', 'class' => 'form-control')); ?>

                        <?php if($errors->has('state')): ?>
                            <span class="invalid-feedback">
                                <strong><?php echo e($errors->first('state')); ?></strong>
                            </span>
                        <?php endif; ?>
                    </div>
                    <div class="col-md-6 mb-4">
                        <?php echo Form::text('zip', null, $attributes = $errors->has('zip') ? array('placeholder' => 'Zip', 'class' => 'form-control is-invalid') : array('placeholder' => 'Zip', 'class' => 'form-control')); ?>

                        <?php if($errors->has('zip')): ?>
                            <span class="invalid-feedback">
                                <strong><?php echo e($errors->first('zip')); ?></strong>
                            </span>
                        <?php endif; ?>
                    </div>
                    <div class="col-md-6 mb-4">
                        <?php echo e(Form::select('standard_id', $standards, null, $errors->has('standard_id') ? ['placeholder' => 'Standard(s)', 'class' => 'form-control is-invalid']: ['placeholder' => 'Standard(s)', 'class' => 'form-control'])); ?>

                        <?php if($errors->has('standard_id')): ?>
                            <span class="invalid-feedback">
                                <strong><?php echo e($errors->first('standard_id')); ?></strong>
                            </span>
                        <?php endif; ?>
                    </div>
                    <div class="col-md-6 mb-4">
                        <?php echo e(Form::select('seniority', array('seniority 1' => 'seniority 1', 'seniority 2' => 'seniority 2'), null, ['placeholder' => 'Seniority', 'class' => 'form-control', 'disabled' => false])); ?>

                        <?php if($errors->has('seniority')): ?>
                            <span class="invalid-feedback">
                                <strong><?php echo e($errors->first('seniority')); ?></strong>
                            </span>
                        <?php endif; ?>
                    </div>
                    <div class="col-12">
                        <label>FILE UPLOADS</label>
                    </div>
                    <div class="col-md-6 mb-4">
                        <label>W9</label>
                        <div>
                            <?php echo Form::file('files_w9[]', array('multiple'=> true)); ?>

                        </div>
                    </div>
                    <div class="col-md-6 mb-4">
                        <label>Certificate</label>
                        <div>
                            <?php echo Form::file('files_certificate[]', array('multiple'=> true)); ?>

                        </div>
                    </div>
                    <div class="col-md-6 mb-4">
                        <label>Contract</label>
                        <div>
                            <?php echo Form::file('files_contract[]', array('multiple'=> true)); ?>

                        </div>
                    </div>
                    <div class="col-md-6 mb-4">
                        <label>Other</label>
                        <div>
                            <?php echo Form::file('files_other[]', array('multiple'=> true)); ?>

                        </div>
                    </div>
                    <div class="col-12">
                        <label>Permissions</label>
                        <div class="form-check form-check-block">
                            <?php echo Form::radio('permissions', 'type 1', true, array('class' => 'form-check-input', 'type' => 'radio')); ?>

                            <label class="form-check-label">Type 1</label>
                        </div>
                        <div class="form-check form-check-block">
                            <?php echo Form::radio('permissions', 'type 2', false, array('class' => 'form-check-input', 'type' => 'radio')); ?>

                            <label class="form-check-label">Type 2</label>
                        </div>
                        <div class="form-check form-check-block">
                            <?php echo Form::radio('permissions', 'type 3', false, array('class' => 'form-check-input', 'type' => 'radio')); ?>

                            <label class="form-check-label">Type 3</label>
                        </div>
                        <div class="form-check form-check-block">
                            <?php echo Form::radio('permissions', 'type 4', false, array('class' => 'form-check-input', 'type' => 'radio')); ?>

                            <label class="form-check-label">Type 4</label>
                        </div>
                    </div>
                    <div class="col-12 text-right">
                        <button type="submit" class="" name="button">ADD</button>
                    </div>
                </div>
            <?php echo Form::close(); ?>

        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.with-sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/sd3v/public_html/cms-glenviewgroup/resources/views/consultants/create.blade.php ENDPATH**/ ?>