<?php $__env->startSection('content'); ?>
    <div class="container">
        <div class="row">
            <div class="col-12 mb-2 mt-5">
                <h4>
                    <?php echo e($task[0]->short_description); ?>

                </h4>

                <?php if(Auth::user()->role_id == 1): ?>
                    <a href="<?php echo e(route('tasks.edit', $task[0]->id)); ?>" title="Edit">
                        <i class="fa fa-edit"></i>
                    </a>
                <?php endif; ?>

                <a href="#" data-toggle="modal" data-target="#task_upload_<?php echo e($task[0]->id); ?>">
                    <i class="fa fa-upload" title="File upload"></i>
                </a>
                <div class="modal" id="task_upload_<?php echo e($task[0]->id); ?>">
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h4 class="modal-title">Upload</h4>
                                <button type="button" class="close" data-dismiss="modal">&times;</button>
                            </div>
                            <div class="modal-body">
                                <?php echo Form::open(array('route' => ['taskFileUpload', $task[0]->id],'enctype' => 'multipart/form-data')); ?>

                                    <div class="">
                                        <?php echo Form::file('files[]', array('multiple'=> true)); ?>

                                    </div>
                                    <div class="text-right">
                                        <button type="submit" class="btn btn-primary">Upload</button>
                                    </div>
                                <?php echo Form::close(); ?>

                            </div>
                        </div>
                    </div>
                </div>

                <a href="#" data-toggle="modal" data-target="#task_download_<?php echo e($task[0]->id); ?>">
                    <i class="fa fa-download" title="File download"></i>
                </a>
                <div class="modal" id="task_download_<?php echo e($task[0]->id); ?>">
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h4 class="modal-title">Download</h4>
                                <button type="button" class="close" data-dismiss="modal">&times;</button>
                            </div>
                            <div class="modal-body">
                                <?php
                                    $task_files = (explode(",", $task[0]->files));
                                ?>
                                <?php if($task_files && $task_files[0]): ?>
                                    <?php $__currentLoopData = $task_files; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $task_file): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <a href="/uploads/tasks/<?php echo $task[0]->id.'/'.$task_file; ?>" download>
                                            <p style="color: #007bff"><?php echo $task_file; ?></p>
                                        </a>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <?php else: ?>
                                    <p>No files available for download</p>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                </div>

                <a href="<?php echo e(route('tasks.done', $task[0]->id)); ?>">
                    <?php if($task[0]->done == "no"): ?>
                        <i class="fa fa-check-circle" title="Done Task" style="color: gray;"></i>
                    <?php else: ?>
                        <i class="fa fa-check-circle" title="Undone Task"></i>
                    <?php endif; ?>
                </a>

                <a href="<?php echo e(route('tasks.acknowledge', $task[0]->id)); ?>">
                    <?php if($task[0]->acknowledge == "no"): ?>
                        <i class="fas fa-eye" title="Acknowledge Task" style="color: gray;"></i>
                    <?php else: ?>
                        <i class="fas fa-eye" title="Unacknowledge Task"></i>
                    <?php endif; ?>
                </a>   
            </div>
            <div class="col-12 mb-2">
                <div>
                    Client: <?php echo e($task[0]->client_name); ?>

                </div>
                <div>
                    User: <?php echo e($task[0]->user_firstname.' '.$task[0]->user_lastname); ?>

                </div>
            	<div>
                    Deadline: <?php echo e($task[0]->deadline); ?>

                </div>
                <div>
                    Importance: <?php echo e($task[0]->importance); ?>

                </div>
                <div>
                    <div class="card card-default mt-2">
                        <div class="card-header">Recurring</div>
                        <div class="card-body">
                            <div>
                                <?php if($task[0]->recurring == "0"): ?>
                                    One time
                                <?php elseif($task[0]->recurring == "1"): ?>
                                    Recurring
                                <?php endif; ?>
                            </div>
                            <div>
                                Frequency: <?php echo str_replace("-", " ", $task[0]->frequency); ?>
                            </div>
                            <div>
                                Every (day or month): <?php echo e($task[0]->every_day_month); ?>

                            </div>
                            <div>
                                Every weekday: <?php echo strtoupper($task[0]->every_weekday); ?>
                            </div>
                            <div>
                                How many days from the task creation day is the deadline: <?php echo e($task[0]->deadline_from_creation_day); ?>

                            </div>
                        </div>               
                    </div>
                </div>
            </div>            

            <?php if($task[0]->description): ?>
                <div class="col-12 mb-4">
                    DESCRIPTION:
                    <div>
                        <?php echo $task[0]->description; ?>
                    </div>
                </div>
            <?php endif; ?>
            
            <div class="col-12 mb-4">
            	<?php $id = $task[0]->id; ?>
            	<?php echo $__env->make('comments.add', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            	<?php if(isset($comments) && (!empty($comments))): ?>
            		<?php echo $__env->make('comments.show', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            	<?php endif; ?>
            </div>
        </div>
    </div>

<?php $__env->stopSection(); ?>
<?php echo $__env->make( (Auth::user()->role_id == 1) ? 'layouts.admin' : 'layouts.user', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/sd3v/public_html/newtms/resources/views/tasks/show.blade.php ENDPATH**/ ?>