<div class="form-group row">
    <div class="col-md-6 mb-4">
        <label for="client_id" class="col-form-label">Client</label>
        <?php echo e(Form::select('client_id', $clients, null, $errors->has('client_id') ? ['placeholder' => 'Please select ...', 'class' => 'form-control is-invalid']: ['placeholder' => 'Select a client', 'class' => 'form-control'])); ?>

        <?php if($errors->has('client_id')): ?>
            <span class="invalid-feedback">
                <strong><?php echo e($errors->first('client_id')); ?></strong>
            </span>
        <?php endif; ?>
    </div>
    <div class="col-md-6 mb-4">
        <label class="col-form-label">User</label>
        <?php echo e(Form::select('user_id', $users, null, $errors->has('user_id') ? ['placeholder' => 'Please select ...', 'class' => 'form-control is-invalid']: ['placeholder' => 'Select a user', 'class' => 'form-control'])); ?>

        <?php if($errors->has('user_id')): ?>
            <span class="invalid-feedback">
                <strong><?php echo e($errors->first('user_id')); ?></strong>
            </span>
        <?php endif; ?>
    </div>
    <div class="col-md-6 mb-4">
        <label class="col-form-label">Short description</label>
        <?php echo Form::text('short_description', null, $attributes = $errors->has('short_description') ? array('placeholder' => 'Short description', 'class' => 'form-control is-invalid') : array('placeholder' => 'Short description', 'class' => 'form-control')); ?>

        <?php if($errors->has('short_description')): ?>
            <span class="invalid-feedback">
                <strong><?php echo e($errors->first('short_description')); ?></strong>
            </span>
        <?php endif; ?>
    </div>
    <div class="col-md-6 mb-4">
        <div class="row">
            <div class="col-md-6">
                <label class="col-form-label">Deadline</label>
                <?php echo Form::text('deadline', null, $errors->has('deadline') ? ['placeholder' => 'Deadline', 'class' => 'form-control is-invalid', 'id' => 'datepicker-end']: ['placeholder' => 'Deadline', 'class' => 'form-control', 'id' => 'datepicker-end']); ?>

                <?php if($errors->has('deadline')): ?>
                    <span class="invalid-feedback">
                        <strong><?php echo e($errors->first('deadline')); ?></strong>
                    </span>
                <?php endif; ?>
            </div>
            <div class="col-md-6">
                <label class="col-form-label">Importance</label>
                <?php echo e(Form::select('importance', array('high' => 'High', 'low' => 'Low', 'urgent' => 'Urgent'), null, ['placeholder' => 'Select importance', 'class' => 'form-control', 'disabled' => false])); ?>

                <?php if($errors->has('importance')): ?>
                    <span class="invalid-feedback">
                        <strong><?php echo e($errors->first('importance')); ?></strong>
                    </span>
                <?php endif; ?>
            </div>
        </div>
    </div>
    <div class="col-md-12 mb-4">
        <?php echo Form::textarea('description', null, array('placeholder' => 'Description','size' => '30x5', 'class' => 'form-control', 'id' => 'task_description')); ?>

        <?php if($errors->has('description')): ?>
            <span class="invalid-feedback">
                <strong><?php echo e($errors->first('description')); ?></strong>
            </span>
        <?php endif; ?>
    </div>
    <div class="col-md-12 mb-4">
        <?php echo Form::file('files[]', array('multiple'=> true)); ?>

    </div>
    <div class="col-md-12 mb-2">
        <div class="form-check form-check-inline">
            <?php echo Form::radio('recurring', '0', true, array('class' => 'form-check-input', 'type' => 'radio')); ?>

            <label class="form-check-label">One time</label>
        </div>
        <div class="form-check form-check-inline">
            <?php echo Form::radio('recurring', '1', false, array('class' => 'form-check-input', 'type' => 'radio')); ?>

            <label class="form-check-label">Recurring</label>
        </div>
    </div>
    <div class="col-md-12 mb-4">
        <div class="row">
            <div class="col-md-6">
                <label class="col-form-label">Frequency</label>
                <?php echo e(Form::select('frequency', array('every month' => 'every month', 'every week' => 'every week', 'every weekday' => 'every weekday'), null, ['placeholder' => 'Select frequency', 'class' => 'form-control', 'disabled' => false])); ?>

                <?php if($errors->has('frequency')): ?>
                    <span class="invalid-feedback">
                        <strong><?php echo e($errors->first('frequency')); ?></strong>
                    </span>
                <?php endif; ?>
            </div>
            <div class="col-md-6">
                <label class="col-form-label">Every (day or month)</label>
                <?php echo e(Form::select('every_day_month', array( '1' => '1', '2' => '2', '3' => '3', '4' => '4', '5' => '5', '6' => '6', '7' => '7', '8' => '8', '9' => '9', '10' => '10', '11' => '11', '12' => '12', '13' => '13', '14' => '14', '15' => '15', '16' => '16', '17' => '17', '18' => '18', '19' => '19', '20' => '20', '21' => '21', '22' => '22', '23' => '23', '24' => '24', '25' => '25', '26' => '26', '27' => '27', '28' => '28', '29' => '29', '30' => '30', '31' => '31' ), null, ['placeholder' => 'Please select', 'class' => 'form-control', 'disabled' => false])); ?>

                <?php if($errors->has('every_day_month')): ?>
                    <span class="invalid-feedback">
                        <strong><?php echo e($errors->first('every_day_month')); ?></strong>
                    </span>
                <?php endif; ?>
            </div>
        </div>
    </div>
    <div class="col-md-12 mb-4">
        <div class="row">
            <div class="col-md-6">
                <label class="col-form-label">Every weekday</label>
                <?php echo e(Form::select('every_weekday', array('monday' => 'Monday', 'tuesday' => 'Tuesday', 'wednesday' => 'Wednesday', 'thursday' => 'Thursday', 'friday' => 'Friday', 'saturday' => 'Saturday', 'sunday' => 'Sunday'), null, ['placeholder' => 'Please select', 'class' => 'form-control', 'disabled' => false])); ?>

                <?php if($errors->has('every_weekday')): ?>
                    <span class="invalid-feedback">
                        <strong><?php echo e($errors->first('every_weekday')); ?></strong>
                    </span>
                <?php endif; ?>
            </div>
            <div class="col-md-6">
                <label class="col-form-label">How many days from the task creation day is the deadline</label>
                <?php echo e(Form::select('deadline_from_creation_day', array( '1' => '1', '2' => '2', '3' => '3', '4' => '4', '5' => '5', '6' => '6', '7' => '7', '8' => '8', '9' => '9', '10' => '10', '11' => '11', '12' => '12', '13' => '13', '14' => '14', '15' => '15', '16' => '16', '17' => '17', '18' => '18', '19' => '19', '20' => '20', '21' => '21', '22' => '22', '23' => '23', '24' => '24', '25' => '25', '26' => '26', '27' => '27', '28' => '28', '29' => '29', '30' => '30', '31' => '31' ), null, ['placeholder' => 'Please select', 'class' => 'form-control', 'disabled' => false])); ?>

                <?php if($errors->has('deadline_from_creation_day')): ?>
                    <span class="invalid-feedback">
                        <strong><?php echo e($errors->first('deadline_from_creation_day')); ?></strong>
                    </span>
                <?php endif; ?>
            </div>
        </div>
    </div>
    <div class="col-md-6 text-left">
        <!-- <a class="btn btn-xs btn-success" href="<?php echo e(route('tasks.index')); ?>">All tasks</a> -->
    </div>
    <div class="col-md-6 text-right">
        <button type="submit" class="btn btn-xs btn-primary" name="button">Submit</button>
    </div>
</div><?php /**PATH /home/sd3v/public_html/newtms/resources/views/tasks/form.blade.php ENDPATH**/ ?>