<?php $__env->startSection('content'); ?>
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-12 mt-4">
                <div class="card card-default">
                    <div class="card-header">Edit client!</div>
                    <div class="card-body">
                        <?php echo Form::model($client[0], ['method' => 'PATCH', 'route' => ['clients.update', $client[0]->id]]); ?>

                            <div class="form-group row">
                                <div class="col-md-6 mb-4">
                                    <label for="name" class="col-form-label">Name</label>
                                    <?php echo Form::text('name', null, $attributes = $errors->has('name') ? array('placeholder' => 'Name', 'class' => 'form-control is-invalid') : array('placeholder' => 'Name', 'class' => 'form-control')); ?>

                                    <?php if($errors->has('name')): ?>
                                        <span class="invalid-feedback">
                                            <strong><?php echo e($errors->first('name')); ?></strong>
                                        </span>
                                    <?php endif; ?>
                                </div>
                                <div class="col-md-6 mb-4">
                                    <label for="folder" class="col-form-label">Folder</label>
                                    <?php echo Form::text('folder', null, $attributes = $errors->has('folder') ? array('placeholder' => 'Folder', 'class' => 'form-control is-invalid') : array('placeholder' => 'Folder', 'class' => 'form-control')); ?>

                                    <?php if($errors->has('folder')): ?>
                                        <span class="invalid-feedback">
                                            <strong><?php echo e($errors->first('folder')); ?></strong>
                                        </span>
                                    <?php endif; ?>
                                </div>
                                <div class="col-md-6 mb-4">
                                    <label class="col-form-label d-block">Status</label>
                                    <div class="form-check form-check-inline">
                                        <?php echo Form::radio('status', 'active', true, array('class' => 'form-check-input', 'type' => 'radio', 'id' => 'inlineRadio2')); ?>

                                        <label class="form-check-label" for="inlineRadio2">Active</label>
                                    </div>
                                    <div class="form-check form-check-inline">
                                        <?php echo Form::radio('status', 'inactive', false, array('class' => 'form-check-input', 'type' => 'radio', 'id' => 'inlineRadio')); ?>

                                        <label class="form-check-label" for="inlineRadio1">Inactive</label>
                                    </div>
                                    <?php if($errors->has('status')): ?>
                                        <span class="invalid-feedback">
                                            <strong><?php echo e($errors->first('status')); ?></strong>
                                        </span>
                                    <?php endif; ?>
                                </div>
                                <div class="col-12 mb-4">
                                    <div class="addresses-block">
                                        <?php $address_counter = 0;
                                        $stored_addresses_count = count($addresses); ?>

                                        <?php if($stored_addresses_count): ?>
                                            <?php echo e(Form::hidden('addresses_count', $stored_addresses_count)); ?>

                                        <?php else: ?>
                                            <?php echo e(Form::hidden('addresses_count', $stored_addresses_count+1)); ?>

                                        <?php endif; ?>

                                        <?php echo e(Form::hidden('deleted_addresses_ids','')); ?>

                                        
                                        <?php if($stored_addresses_count): ?>
                                            <?php $__currentLoopData = $addresses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $address): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <?php $address_counter++; ?>
                                                <div class="card mb-4" id="<?php echo e($address->id); ?>">
                                                    <?php echo e(Form::hidden('address_id-'.$address_counter, $address->id)); ?>

                                                    <div class="card-header">
                                                        <label class="col-form-label">Address <?php echo e($address_counter); ?></label>
                                                    </div>
                                                    <div class="card-body">
                                                        <div class="row">                                             
                                                            <div class="col-md-12 mb-2 street_address">
                                                                <label  class="col-form-label">Street Address</label>
                                                                <?php echo Form::text('street_address-'.$address_counter, $address->street_address, $attributes = array('placeholder' => 'Street Address', 'class' => 'form-control')); ?>

                                                            </div>
                                                            <div class="col-md-6 mb-2 address_line_2">
                                                                <label class="col-form-label">Address Line 2</label>
                                                                <?php echo Form::text('address_line_2-'.$address_counter, $address->address_line_2, $attributes = array('placeholder' => 'Address Line 2', 'class' => 'form-control')); ?>

                                                            </div>
                                                            <div class="col-md-6 mb-2 city">
                                                                <label class="col-form-label">City</label>
                                                                <?php echo Form::text('city-'.$address_counter, $address->city, $attributes = array('placeholder' => 'City', 'class' => 'form-control')); ?>

                                                            </div>
                                                            <div class="col-md-6 mb-2 state">
                                                                <label class="col-form-label">State</label>
                                                                <?php echo Form::text('state-'.$address_counter, $address->state, $attributes = array('placeholder' => 'State', 'class' => 'form-control')); ?>

                                                            </div>
                                                            <div class="col-md-6 mb-4 zip_code">
                                                                <label class="col-form-label">ZIP Code</label>
                                                                <?php echo Form::text('zip_code-'.$address_counter, $address->zip_code, $attributes = array('placeholder' => 'ZIP Code', 'class' => 'form-control')); ?>

                                                            </div>
                                                            <div class="col-md-12 text-right">
                                                                <button class="btn btn-danger btn-sm remove-address" type="button">Remove address</button>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <?php else: ?>
                                            <div class="card mb-4">
                                                <div class="card-header">
                                                    <label class="col-form-label">Address</label>
                                                </div>
                                                <div class="card-body">
                                                    <div class="row">                                             
                                                        <div class="col-md-12 mb-2 street_address">
                                                            <label  class="col-form-label">Street Address</label>
                                                            <?php echo Form::text('street_address-1', null, $attributes = array('placeholder' => 'Street Address', 'class' => 'form-control')); ?>

                                                        </div>
                                                        <div class="col-md-6 mb-2 address_line_2">
                                                            <label class="col-form-label">Address Line 2</label>
                                                            <?php echo Form::text('address_line_2-1', null, $attributes = array('placeholder' => 'Address Line 2', 'class' => 'form-control')); ?>

                                                        </div>
                                                        <div class="col-md-6 mb-2 city">
                                                            <label class="col-form-label">City</label>
                                                            <?php echo Form::text('city-1', null, $attributes = array('placeholder' => 'City', 'class' => 'form-control')); ?>

                                                        </div>
                                                        <div class="col-md-6 mb-2 state">
                                                            <label class="col-form-label">State</label>
                                                            <?php echo Form::text('state-1', null, $attributes = array('placeholder' => 'State', 'class' => 'form-control')); ?>

                                                        </div>
                                                        <div class="col-md-6 mb-4 zip_code">
                                                            <label class="col-form-label">ZIP Code</label>
                                                            <?php echo Form::text('zip_code-1', null, $attributes = array('placeholder' => 'ZIP Code', 'class' => 'form-control')); ?>

                                                        </div>
                                                        <div class="col-md-12 text-right">
                                                            <button class="btn btn-danger btn-sm remove-address" type="button">Remove address</button>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        <?php endif; ?>
                                    </div>
                                    <button class="btn btn-primary btn-sm add-new-address" type="button">Add new address</button>
                                </div>
                                <div class="col-12 mb-4">
                                    <div class="reminders-block">
                                        <?php $reminder_counter = 0;
                                        $stored_reminders_count = count($reminders); ?>

                                        <?php if($stored_reminders_count): ?>
                                            <?php echo e(Form::hidden('reminders_count', $stored_reminders_count)); ?>

                                        <?php else: ?>
                                            <?php echo e(Form::hidden('reminders_count', $stored_reminders_count+1)); ?>

                                        <?php endif; ?>
                                                                                
                                        <?php echo e(Form::hidden('deleted_reminders_ids','')); ?>

                                        
                                        <?php if($stored_reminders_count): ?>
                                            <?php $__currentLoopData = $reminders; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $reminder): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <?php $reminder_counter++; ?>
                                                <div class="card mb-4" id="<?php echo e($reminder->id); ?>">
                                                    <?php echo e(Form::hidden('reminder_id-'.$reminder_counter, $reminder->id)); ?>

                                                    <div class="card-header">
                                                        <label class="col-form-label">Reminder <?php echo e($reminder_counter); ?></label>
                                                    </div>
                                                    <div class="card-body">
                                                        <div class="row">                                            
                                                            <div class="col-md-12 mb-2 text_to_remind">
                                                                <label  class="col-form-label">Text to remind</label>
                                                                <?php echo Form::text('text_to_remind-'.$reminder_counter, $reminder->text_to_remind, $attributes = array('placeholder' => 'Text to remind', 'class' => 'form-control')); ?>

                                                            </div>
                                                            <div class="col-md-6 mb-2 date">
                                                                <label class="col-form-label">Date</label>
                                                                <?php echo Form::text('date-'.$reminder_counter, $reminder->date, $attributes = array('placeholder' => 'Date', 'class' => 'form-control reminder-date')); ?>

                                                            </div>
                                                            <div class="col-md-6 mb-2 frequency">
                                                                <label class="col-form-label">Frequency</label>
                                                                <?php echo Form::select('frequency-'.$reminder_counter, array('every month' => 'every month', 'every 2 months' => 'every 2 months', 'every 3 months' => 'every 3 months', 'every 4 months' => 'every 4 months', 'every 5 months' => 'every 5 months', 'every 6 months' => 'every 6 months', 'every 7 months' => 'every 7 months', 'every 8 months' => 'every 8 months', 'every 9 months' => 'every 9 months', 'every 10 months' => 'every 10 months', 'every 11 months' => 'every 11 months', 'every 12 months' => 'every 12 months'), $reminder->frequency, $attributes = array('placeholder' => 'Select frequency', 'class' => 'form-control')); ?>

                                                            </div>
                                                            <div class="col-md-12 mt-2 recurring">
                                                                <?php if ($reminder->recurring == 1) {
                                                                    $reminder_recurring_0 = false;
                                                                    $reminder_recurring_1 = true;
                                                                }
                                                                else {
                                                                    $reminder_recurring_0 = true;
                                                                    $reminder_recurring_1 = false;
                                                                } ?>
                                                                <div class="form-check form-check-inline">
                                                                    <?php echo Form::radio('recurring-'.$reminder_counter, '0', $reminder_recurring_0, array('class' => 'form-check-input', 'type' => 'radio')); ?>

                                                                    <label class="form-check-label">One time</label>
                                                                </div>
                                                                <div class="form-check form-check-inline">
                                                                    <?php echo Form::radio('recurring-'.$reminder_counter, '1', $reminder_recurring_1, array('class' => 'form-check-input', 'type' => 'radio')); ?>

                                                                    <label class="form-check-label">Recurring</label>
                                                                </div>
                                                            </div>
                                                            <div class="col-md-12 mt-2 to_do">
                                                                <?php if ($reminder->to_do == 1) {
                                                                    $reminder_to_do_0 = false;
                                                                    $reminder_to_do_1 = true;
                                                                }
                                                                else {
                                                                    $reminder_to_do_0 = true;
                                                                    $reminder_to_do_1 = false;
                                                                } ?>
                                                                <div class="form-check form-check-inline">
                                                                    <?php echo Form::radio('to_do-'.$reminder_counter, '0', $reminder_to_do_0, array('class' => 'form-check-input', 'type' => 'radio')); ?>

                                                                    <label class="form-check-label">Send email only</label>
                                                                </div>
                                                                <div class="form-check form-check-inline">
                                                                    <?php echo Form::radio('to_do-'.$reminder_counter, '1', $reminder_to_do_1, array('class' => 'form-check-input', 'type' => 'radio')); ?>

                                                                    <label class="form-check-label">Create a task</label>
                                                                </div>
                                                                <div class="emails-to-send card mt-4 mb-4" style="<?php if($reminder->to_do == 1): ?> display: none; <?php endif; ?>">
		                                                            <div class="card-header">Who should get this reminder?</div>
		                                                            <div class="card-body">
		                                                            	<?php if ($reminder->emails_to_send) {
		                                                                	$emails_array = explode(",", $reminder->emails_to_send);
		                                                                	$emails_array_count = count($emails_array); ?>
			                                                                <?php echo e(Form::hidden('emails_count-'.$reminder_counter, $emails_array_count)); ?>

			                                                                <?php echo e(Form::hidden('deleted_addresses_ids-'.$reminder_counter,'')); ?>                                                               
		                                                                	<div class="emails-block">
			                                                                	<?php for ($i=0; $i < $emails_array_count; $i++) { ?>
		                                                                			<div class="input-group mb-2 email" <?php echo 'id="email-'.$i.'"'; ?> >
				                                                                        <?php echo Form::email('email-'.$reminder_counter.'-'.($i+1), $emails_array[$i], $attributes = array('placeholder' => 'Email', 'class' => 'form-control')); ?>

				                                                                        <div class="input-group-append">
				                                                                            <button class="btn btn-danger remove-email" type="button">Remove</button>
				                                                                        </div>
				                                                                    </div>
				                                                                <?php } ?>
				                                                            </div>
				                                                        <?php }
		                                                				else { ?>
		                                                					<?php echo e(Form::hidden('emails_count-'.$reminder_counter, '1')); ?>

			                                                                <?php echo e(Form::hidden('deleted_addresses_ids-'.$reminder_counter,'')); ?>                                                               
		                                                                	<div class="emails-block">
			                                                                    <div class="input-group mb-2 email">
			                                                                        <?php echo Form::email('email-'.$reminder_counter.'-1', null, $attributes = array('placeholder' => 'Email', 'class' => 'form-control')); ?>

			                                                                        <div class="input-group-append">
			                                                                            <button class="btn btn-danger remove-email" type="button">Remove</button>
			                                                                        </div>
			                                                                    </div>
			                                                                </div>
			                                                            <?php } ?>                                                         
		                                                                <div class="mt-3">
		                                                                    <button class="btn btn-primary btn-sm add-new-email" type="button">Add new email</button>
		                                                                </div>
		                                                            </div>
		                                                        </div>
                                                                <div class="row create-task" style="<?php if($reminder->to_do == 0): ?> display: none; <?php endif; ?>">
                                                                    <div class="col-md-6 mb-2 user">
                                                                        <label class="col-form-label">User</label>
                                                                        <?php echo e(Form::select('user-'.$reminder_counter, $users, $reminder->task_user, array('placeholder' => 'Select a user', 'class' => 'form-control'))); ?>

                                                                    </div>
                                                                    <div class="col-md-6 mb-2 short_description">
                                                                        <label class="col-form-label">Short description</label>
                                                                        <?php echo Form::text('short_description-'.$reminder_counter, $reminder->task_short_description, $attributes = array('placeholder' => 'Short description', 'class' => 'form-control')); ?>

                                                                    </div>
                                                                    <div class="col-md-6 mb-2 deadline">
                                                                        <label class="col-form-label">Deadline</label>
                                                                        <?php echo Form::select('deadline-'.$reminder_counter, array('same day' => 'same day', 'after 1 day' => 'after 1 day', 'after 2 days' => 'after 2 days', 'after 3 days' => 'after 3 days', 'after 4 days' => 'after 4 days', 'after 5 days' => 'after 5 days', 'after 6 days' => 'after 6 days', 'after 7 days' => 'after 7 days', 'after 8 days' => 'after 8 days', 'after 9 days' => 'after 9 days', 'after 10 days' => 'after 10 days'), $reminder->task_deadline, $attributes = array('placeholder' => 'Select deadline', 'class' => 'form-control')); ?>

                                                                    </div>
                                                                    <div class="col-md-6 mb-2 importance">
																        <label class="col-form-label">Importance</label>
																        <?php echo e(Form::select('importance-'.$reminder_counter, array('high' => 'High', 'low' => 'Low', 'urgent' => 'Urgent'), $reminder->task_importance, ['placeholder' => 'Select importance', 'class' => 'form-control', 'disabled' => false])); ?>

																   	</div>
                                                                </div>
                                                            </div>
                                                            <div class="col-md-12 text-right">
                                                                <button class="btn btn-danger btn-sm remove-reminder" type="button">Remove reminder</button>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <?php else: ?>
                                            <div class="card mb-4">
                                                <div class="card-header">
                                                    <label class="col-form-label">Reminder</label>
                                                </div>
                                                <div class="card-body">
                                                    <div class="row">                                            
                                                        <div class="col-md-12 mb-2 text_to_remind">
                                                            <label  class="col-form-label">Text to remind</label>
                                                            <?php echo Form::text('text_to_remind-1', null, $attributes = array('placeholder' => 'Text to remind', 'class' => 'form-control')); ?>

                                                        </div>
                                                        <div class="col-md-6 mb-2 date">
                                                            <label class="col-form-label">Date</label>
                                                            <?php echo Form::text('date-1', null, $attributes = array('placeholder' => 'Date', 'class' => 'form-control reminder-date')); ?>

                                                        </div>
                                                        <div class="col-md-6 mb-2 frequency">
                                                            <label class="col-form-label">Frequency</label>
                                                            <?php echo Form::select('frequency-1', array('month-1' => 'every month', 'month-2' => 'every 2 months', 'month-3' => 'every 3 months', 'month-4' => 'every 4 months', 'month-5' => 'every 5 months', 'month-6' => 'every 6 months', 'month-7' => 'every 7 months', 'month-8' => 'every 8 months', 'month-9' => 'every 9 months', 'month-10' => 'every 10 months', 'month-11' => 'every 11 months', 'month-12' => 'every 12 months'), null, $attributes = array('placeholder' => 'Select frequency', 'class' => 'form-control')); ?>

                                                        </div>
                                                        <div class="col-md-12 mt-2 recurring">
                                                            <div class="form-check form-check-inline">
                                                                <?php echo Form::radio('recurring-1', '0', true, array('class' => 'form-check-input', 'type' => 'radio')); ?>

                                                                <label class="form-check-label">One time</label>
                                                            </div>
                                                            <div class="form-check form-check-inline">
                                                                <?php echo Form::radio('recurring-1', '1', false, array('class' => 'form-check-input', 'type' => 'radio')); ?>

                                                                <label class="form-check-label">Recurring</label>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-12 mt-2 to_do">
                                                            <div class="form-check form-check-inline">
                                                                <?php echo Form::radio('to_do-1', '0', true, array('class' => 'form-check-input', 'type' => 'radio')); ?>

                                                                <label class="form-check-label">Send email only</label>
                                                            </div>
                                                            <div class="form-check form-check-inline">
                                                                <?php echo Form::radio('to_do-1', '1', false, array('class' => 'form-check-input', 'type' => 'radio')); ?>

                                                                <label class="form-check-label">Create a task</label>
                                                            </div>
                                                            <div class="emails-to-send card mt-4 mb-4">
	                                                            <div class="card-header">Who should get this reminder?</div>
	                                                            <div class="card-body">
	                                                                <?php echo e(Form::hidden('emails_count-1','1')); ?>

	                                                                <?php echo e(Form::hidden('deleted_addresses_ids-1','')); ?>                                                               
	                                                                <div class="emails-block">
	                                                                    <div class="input-group mb-2 email">
	                                                                        <?php echo Form::email('email-1-1', null, $attributes = array('placeholder' => 'Email', 'class' => 'form-control')); ?>

	                                                                        <div class="input-group-append">
	                                                                            <button class="btn btn-danger remove-email" type="button">Remove</button>
	                                                                        </div>
	                                                                    </div> 
	                                                                </div>
	                                                                <div class="mt-3">
	                                                                    <button class="btn btn-primary btn-sm add-new-email" type="button">Add new email</button>
	                                                                </div>
	                                                            </div>
	                                                        </div>
                                                            <div class="row create-task" style="display: none;">
                                                                <div class="col-md-6 mb-2 user">
                                                                    <label class="col-form-label">User</label>
                                                                    <?php echo e(Form::select('user-1', $users, null, array('placeholder' => 'Select a user', 'class' => 'form-control'))); ?>

                                                                </div>
                                                                <div class="col-md-6 mb-2 short_description">
                                                                    <label class="col-form-label">Short description</label>
                                                                    <?php echo Form::text('short_description-1', null, $attributes = array('placeholder' => 'Short description', 'class' => 'form-control')); ?>

                                                                </div>
                                                                <div class="col-md-6 mb-2 deadline">
                                                                    <label class="col-form-label">Deadline</label>
                                                                    <?php echo Form::select('deadline-1', array('day-0' => 'same day', 'day-1' => 'after 1 day', 'day-2' => 'after 2 days', 'day-3' => 'after 3 days', 'day-4' => 'after 4 days', 'day-5' => 'after 5 days', 'day-6' => 'after 6 days', 'day-7' => 'after 7 days', 'day-8' => 'after 8 days', 'day-9' => 'after 9 days', 'day-10' => 'after 10 days'), null, $attributes = array('placeholder' => 'Select deadline', 'class' => 'form-control')); ?>

                                                                </div>
                                                                <div class="col-md-6 mb-2 importance">
															        <label class="col-form-label">Importance</label>
															        <?php echo e(Form::select('importance-1', array('high' => 'High', 'low' => 'Low', 'urgent' => 'Urgent'), null, ['placeholder' => 'Select importance', 'class' => 'form-control'])); ?>

															   	</div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-12 text-right">
                                                            <button class="btn btn-danger btn-sm remove-reminder" type="button">Remove reminder</button>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        <?php endif; ?>
                                    </div>
                                    <button class="btn btn-primary btn-sm add-new-reminder" type="button">Add new reminder</button>
                                </div>
                            </div>
                            <div class="form-group row mb-0">
                                <div class="col-6">
                                    <!-- <a class="btn btn-xs btn-success" href="<?php echo e(route('clients.index')); ?>">All clients</a> -->
                                </div>
                                <div class="col-6 text-right">
                                    <button type="submit" class="btn btn-xs btn-primary" name="button">Submit</button>
                                </div>
                            </div>
                        <?php echo Form::close(); ?>

                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make( (Auth::user()->role_id == 1) ? 'layouts.admin' : 'layouts.user', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/sd3v/public_html/newtms/resources/views/clients/edit.blade.php ENDPATH**/ ?>