<div class="form-group row">
    <div class="col-md-6 mb-4">
        <label for="client_id" class="col-form-label">Client</label>
        <?php echo e(Form::select('client_id', $clients, null, $errors->has('client_id') ? ['placeholder' => 'Please select ...', 'class' => 'form-control is-invalid']: ['placeholder' => 'Select a client', 'class' => 'form-control'])); ?>

        <?php if($errors->has('client_id')): ?>
            <span class="invalid-feedback">
                <strong><?php echo e($errors->first('client_id')); ?></strong>
            </span>
        <?php endif; ?>
    </div>
    <div class="col-md-6 mb-4">
        <label class="col-form-label">User</label>
        <?php echo e(Form::select('user_id', $users, null, $errors->has('user_id') ? ['placeholder' => 'Please select ...', 'class' => 'form-control is-invalid']: ['placeholder' => 'Select a user', 'class' => 'form-control'])); ?>

        <?php if($errors->has('user_id')): ?>
            <span class="invalid-feedback">
                <strong><?php echo e($errors->first('user_id')); ?></strong>
            </span>
        <?php endif; ?>
    </div>
    <div class="col-md-6 mb-4">
        <label class="col-form-label">Short description</label>
        <?php echo Form::text('short_description', null, $attributes = $errors->has('short_description') ? array('placeholder' => 'Short description', 'class' => 'form-control is-invalid') : array('placeholder' => 'Short description', 'class' => 'form-control')); ?>

        <?php if($errors->has('short_description')): ?>
            <span class="invalid-feedback">
                <strong><?php echo e($errors->first('short_description')); ?></strong>
            </span>
        <?php endif; ?>
    </div>
    <div class="col-md-6 mb-4">
        <div class="row">
            <div class="col-md-6">
                <label class="col-form-label">Deadline</label>
                <?php echo Form::text('deadline', null, $errors->has('deadline') ? ['placeholder' => 'Deadline', 'class' => 'form-control is-invalid', 'id' => 'datepicker-end']: ['placeholder' => 'Deadline', 'class' => 'form-control', 'id' => 'datepicker-end']); ?>

                <?php if($errors->has('deadline')): ?>
                    <span class="invalid-feedback">
                        <strong><?php echo e($errors->first('deadline')); ?></strong>
                    </span>
                <?php endif; ?>
            </div>
            <div class="col-md-6">
                <label class="col-form-label">Importance</label>
                <?php echo e(Form::select('importance', array('High', 'Low', 'Urgent'), null, ['placeholder' => 'Select importance', 'class' => 'form-control', 'disabled' => false])); ?>

                <?php if($errors->has('importance')): ?>
                    <span class="invalid-feedback">
                        <strong><?php echo e($errors->first('importance')); ?></strong>
                    </span>
                <?php endif; ?>
            </div>
        </div>
    </div>
    <div class="col-md-12 mb-4">
        <?php echo Form::textarea('description', null, array('placeholder' => 'Description','size' => '30x5', 'class' => 'form-control', 'id' => 'description')); ?>

        <?php if($errors->has('description')): ?>
            <span class="invalid-feedback">
                <strong><?php echo e($errors->first('description')); ?></strong>
            </span>
        <?php endif; ?>
    </div>
    <div class="col-md-6 text-left">
        <a class="btn btn-xs btn-success" href="<?php echo e(route('tasks.index')); ?>">All tasks</a>
    </div>
    <div class="col-md-6 text-right">
        <button type="submit" class="btn btn-xs btn-primary" name="button">Submit</button>
    </div>
</div><?php /**PATH C:\xampp\htdocs\tms\resources\views/tasks/form.blade.php ENDPATH**/ ?>