<?php $__env->startSection('content'); ?>
    <div class="container">
        <div class="row">
            <div class="col-lg-12 mt-4">
                <h3>Tasks list</h3>
            </div>
            <!-- <div class="col-lg-12 mt-4 space-between">
                <a class="btn btn-xs btn-primary mb-3" href="<?php echo e(route('tasks.index')); ?>">All</a>
                <a class="btn btn-xs btn-primary mb-3" href="<?php echo e(route('tasks.index').'?status=open'); ?>">Open</a>
                <a class="btn btn-xs btn-primary mb-3" href="<?php echo e(route('tasks.index').'?status=closed'); ?>">Closed</a>
                <a class="btn btn-xs btn-success mb-3" href="<?php echo e(route('tasks.create')); ?>" style="float: right;">Create new task</a>
            </div> -->
        </div>
        <?php if($message = Session::get('success')): ?>
            <div class="alert alert-success">
                <?php echo e($message); ?>

            </div>
        <?php endif; ?>
        <table class="table list">
            <tr class="header">
                <th>Client</th>
                <th>Folder</th>
                <th>Task</th>
                <th>Deadline</th>
                <th>Importance</th>
                <th>User</th>
                <th>Controls</th>
            </tr>
            <?php $__currentLoopData = $tasks; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $task): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <tr>
                    <td><?php echo e($task->client_name); ?></td>
                    <td><?php echo e($task->client_folder); ?></td>
                    <td>
                        <a href="tasks/<?php echo e($task->id); ?>">
                            <?php echo e($task->short_description); ?>

                        </a>
                    </td>
                    <td><?php echo e($task->deadline); ?></td>
                    <td><?php echo e($task->importance); ?></td>
                    <td><?php echo e($task->user_firstname.' '.$task->user_lastname); ?></td>
                    <td class="controls">
                        <!-- <a href="<?php echo e(route('tasks.show', $task->id)); ?>" title="Show">
                            <i class="fa fa-eye"></i>
                        </a> -->

                        <?php if(Auth::user()->role_id == 1): ?>
                            <a href="<?php echo e(route('tasks.edit', $task->id)); ?>" title="Edit">
                                <i class="fa fa-edit"></i>
                            </a>
                        <?php endif; ?>

                        <a href="#" data-toggle="modal" data-target="#task_upload_<?php echo e($task->id); ?>">
                            <i class="fa fa-upload" title="File upload"></i>
                        </a>
                        <div class="modal" id="task_upload_<?php echo e($task->id); ?>">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h4 class="modal-title">Upload</h4>
                                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                                    </div>
                                    <div class="modal-body">
                                        <?php echo Form::open(array('route' => ['taskFileUpload', $task->id],'enctype' => 'multipart/form-data')); ?>

                                            <div class="">
                                                <?php echo Form::file('files[]', array('multiple'=> true)); ?>

                                            </div>
                                            <div class="text-right">
                                                <button type="submit" class="btn btn-primary">Upload</button>
                                            </div>
                                        <?php echo Form::close(); ?>

                                    </div>
                                </div>
                            </div>
                        </div>

                        <a href="#" data-toggle="modal" data-target="#task_download_<?php echo e($task->id); ?>">
                            <i class="fa fa-download" title="File download"></i>
                        </a>
                        <div class="modal" id="task_download_<?php echo e($task->id); ?>">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h4 class="modal-title">Download</h4>
                                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                                    </div>
                                    <div class="modal-body">
                                        <?php
                                            $task_files = (explode(",", $task->files));
                                        ?>
                                        <?php if($task_files && $task_files[0]): ?>
                                            <?php $__currentLoopData = $task_files; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $task_file): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <a href="/uploads/tasks/<?php echo $task->id.'/'.$task_file; ?>" download>
                                                    <p style="color: #007bff"><?php echo $task_file; ?></p>
                                                </a>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <?php else: ?>
                                            <p>No files available for download</p>
                                        <?php endif; ?>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <a href="<?php echo e(route('tasks.done', $task->id)); ?>">
                            <?php if($task->done == "no"): ?>
                                <i class="fa fa-check-circle" title="Done Task" style="color: gray;"></i>
                            <?php else: ?>
                                <i class="fa fa-check-circle" title="Undone Task"></i>
                            <?php endif; ?>
                        </a>

                        <a href="<?php echo e(route('tasks.show', $task->id)); ?>" title="Comment">
                            <i class="fas fa-comment"></i>
                        </a>

                        <a href="<?php echo e(route('tasks.acknowledge', $task->id)); ?>">
                            <?php if($task->acknowledge == "no"): ?>
                                <i class="fas fa-eye" title="Acknowledge Task" style="color: gray;"></i>
                            <?php else: ?>
                                <i class="fas fa-eye" title="Unacknowledge Task"></i>
                            <?php endif; ?>
                        </a>
                    </td>
                </tr>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

            <?php $__currentLoopData = $done_tasks; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $done_task): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <tr class="done">
                    <td><?php echo e($done_task->client_name); ?></td>
                    <td><?php echo e($done_task->client_folder); ?></td>
                    <td>
                        <a href="tasks/<?php echo e($done_task->id); ?>">
                            <?php echo e($done_task->short_description); ?>

                        </a>
                    </td>
                    <td><?php echo e($done_task->deadline); ?></td>
                    <td><?php echo e($done_task->importance); ?></td>
                    <td><?php echo e($done_task->user_firstname.' '.$done_task->user_lastname); ?></td>
                    <td class="controls">
                        <!-- <a href="<?php echo e(route('tasks.show', $done_task->id)); ?>" title="Show">
                            <i class="fa fa-eye"></i>
                        </a> -->

                        <?php if(Auth::user()->role_id == 1): ?>
                            <a href="<?php echo e(route('tasks.edit', $done_task->id)); ?>" title="Edit">
                                <i class="fa fa-edit"></i>
                            </a>
                        <?php endif; ?>

                        <a href="#" data-toggle="modal" data-target="#task_upload_<?php echo e($done_task->id); ?>">
                            <i class="fa fa-upload" title="File upload"></i>
                        </a>
                        <div class="modal" id="task_upload_<?php echo e($done_task->id); ?>">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h4 class="modal-title">Upload</h4>
                                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                                    </div>
                                    <div class="modal-body">
                                        <?php echo Form::open(array('route' => ['taskFileUpload', $done_task->id],'enctype' => 'multipart/form-data')); ?>

                                            <div class="">
                                                <?php echo Form::file('files[]', array('multiple'=> true)); ?>

                                            </div>
                                            <div class="text-right">
                                                <button type="submit" class="btn btn-primary">Upload</button>
                                            </div>
                                        <?php echo Form::close(); ?>

                                    </div>
                                </div>
                            </div>
                        </div>

                        <a href="#" data-toggle="modal" data-target="#task_download_<?php echo e($done_task->id); ?>">
                            <i class="fa fa-download" title="File download"></i>
                        </a>
                        <div class="modal" id="task_download_<?php echo e($done_task->id); ?>">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h4 class="modal-title">Download</h4>
                                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                                    </div>
                                    <div class="modal-body">
                                        <?php
                                            $task_files = (explode(",", $done_task->files));
                                        ?>
                                        <?php if($task_files && $task_files[0]): ?>
                                            <?php $__currentLoopData = $task_files; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $task_file): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <a href="/uploads/tasks/<?php echo $done_task->id.'/'.$task_file; ?>" download>
                                                    <p style="color: #007bff"><?php echo $task_file; ?></p>
                                                </a>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <?php else: ?>
                                            <p>No files available for download</p>
                                        <?php endif; ?>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <a href="<?php echo e(route('tasks.done', $done_task->id)); ?>">
                            <?php if($done_task->done == "no"): ?>
                                <i class="fa fa-check-circle" title="Done Task" style="color: gray;"></i>
                            <?php else: ?>
                                <i class="fa fa-check-circle" title="Undone Task"></i>
                            <?php endif; ?>
                        </a>

                        <a href="<?php echo e(route('tasks.show', $done_task->id)); ?>" title="Comment">
                            <i class="fas fa-comment"></i>
                        </a>

                        <a href="<?php echo e(route('tasks.acknowledge', $done_task->id)); ?>">
                            <?php if($done_task->acknowledge == "no"): ?>
                                <i class="fas fa-eye" title="Acknowledge Task" style="color: gray;"></i>
                            <?php else: ?>
                                <i class="fas fa-eye" title="Unacknowledge Task"></i>
                            <?php endif; ?>
                        </a>
                    </td>
                </tr>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </table>
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make( (Auth::user()->role_id == 1) ? 'layouts.admin' : 'layouts.user', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/sd3v/public_html/newtms/resources/views/tasks/index.blade.php ENDPATH**/ ?>